Use the Invoicing API to create, send, and manage invoices. You can also use the API or webhooks to track invoice payments. When you send an invoice to a customer, the invoice moves from draft to payable state. PayPal then emails the customer a link to the invoice on the PayPal website. Customers with a PayPal account can log in and pay the invoice with PayPal. Alternatively, customers can pay as a guest with a debit card or credit card. For more information, see the Invoicing Overview and the Invoicing Integration Guide.
Creates a draft invoice. To move the invoice from a draft to payable state, you must send the invoice.
In the JSON request body, include invoice details including merchant information. The invoice object must include an items array.
Note: The merchant that you specify in an invoice must have a PayPal account in good standing..
The invoice details which includes all information of the invoice like items, billing information.
A successful request returns the HTTP 201 Created status code. A JSON response body that shows invoice details is returned if you set prefer=return=representation.
{- "detail": {
- "invoice_number": "#123",
- "reference": "deal-ref",
- "invoice_date": "2018-11-12",
- "currency_code": "USD",
- "note": "Thank you for your business.",
- "term": "No refunds after 30 days.",
- "memo": "This is a long contract",
- "payment_term": {
- "term_type": "NET_10",
- "due_date": "2018-11-22"
}, - "order_details": "Order #12345 placed on January 15, 2023.",
- "project_details": "Website redesign project for client XYZ Corp.",
- "service_details": "Consulting services provided from Jan-Mar 2023.",
- "cancellation_policy": "Services may be cancelled with 14-day notice.",
- "payment_terms": "Payment due within 10 days of invoice date.",
- "return_policy": "All sales are final. No returns accepted after 30 days.",
- "service_agreement": "Services provided as per agreement dated Jan 1, 2023.",
- "tip_presets": [
- {
- "percent": "15"
}, - {
- "percent": "20"
}, - {
- "percent": "25"
}
]
}, - "invoicer": {
- "name": {
- "given_name": "David",
- "surname": "Larusso"
}, - "address": {
- "address_line_1": "1234 First Street",
- "address_line_2": "337673 Hillside Court",
- "admin_area_2": "Anytown",
- "admin_area_1": "CA",
- "postal_code": "98765",
- "country_code": "US"
}, - "phones": [
- {
- "country_code": "001",
- "national_number": "4085551234",
- "phone_type": "MOBILE"
}
], - "website": "www.test.com",
- "tax_id": "ABcNkWSfb5ICTt73nD3QON1fnnpgNKBy- Jb5SeuGj185MNNw6g",
- "additional_notes": "2-4"
}, - "primary_recipients": [
- {
- "billing_info": {
- "name": {
- "given_name": "Stephanie",
- "surname": "Meyers"
}, - "address": {
- "address_line_1": "1234 Main Street",
- "admin_area_2": "Anytown",
- "admin_area_1": "CA",
- "postal_code": "98765",
- "country_code": "US"
}, - "phones": [
- {
- "country_code": "001",
- "national_number": "4884551234",
- "phone_type": "HOME"
}
], - "additional_info_value": "add-info"
}, - "shipping_info": {
- "name": {
- "given_name": "Stephanie",
- "surname": "Meyers"
}, - "address": {
- "address_line_1": "1234 Main Street",
- "admin_area_2": "Anytown",
- "admin_area_1": "CA",
- "postal_code": "98765",
- "country_code": "US"
}
}
}
], - "items": [
- {
- "name": "Yoga Mat",
- "description": "Elastic mat to practice yoga.",
- "quantity": "1",
- "unit_amount": {
- "currency_code": "USD",
- "value": "50.00"
}, - "tax": {
- "name": "Sales Tax",
- "percent": "7.25"
}, - "discount": {
- "percent": "5"
}, - "unit_of_measure": "QUANTITY"
}, - {
- "name": "Yoga t-shirt",
- "quantity": "1",
- "unit_amount": {
- "currency_code": "USD",
- "value": "10.00"
}, - "tax": {
- "name": "Sales Tax",
- "percent": "7.25",
- "tax_note": "Reduced tax rate"
}, - "discount": {
- "amount": {
- "currency_code": "USD",
- "value": "5.00"
}
}, - "unit_of_measure": "QUANTITY"
}
], - "configuration": {
- "partial_payment": {
- "allow_partial_payment": true,
- "minimum_amount_due": {
- "currency_code": "USD",
- "value": "20.00"
}
}, - "allow_tip": true,
- "tax_calculated_after_discount": true,
- "tax_inclusive": false,
- "template_id": "TEMP-19V05281TU309413B"
}, - "amount": {
- "breakdown": {
- "custom": {
- "label": "Packing Charges",
- "amount": {
- "currency_code": "USD",
- "value": "10.00"
}
}, - "shipping": {
- "amount": {
- "currency_code": "USD",
- "value": "10.00"
}, - "tax": {
- "name": "Sales Tax",
- "percent": "7.25"
}
}, - "discount": {
- "invoice_discount": {
- "percent": "5"
}
}
}
}, - "settings": {
- "invoice_item_settings": [
- {
- "field_name": "ITEM_DESCRIPTION",
- "display_preference": {
- "hidden": false
}
}, - {
- "field_name": "ITEM_DATE",
- "display_preference": {
- "hidden": true
}
}, - {
- "field_name": "ITEM_TAX",
- "display_preference": {
- "hidden": false
}
}, - {
- "field_name": "ITEM_DISCOUNT",
- "display_preference": {
- "hidden": false
}
}
], - "invoice_additional_settings": [
- {
- "field_name": "ATTACHMENT",
- "display_preference": {
- "hidden": false
}
}, - {
- "field_name": "MEMO",
- "display_preference": {
- "hidden": false
}
}, - {
- "field_name": "REFERENCE",
- "display_preference": {
- "hidden": false
}
}
], - "invoice_policy_and_agreement_settings": [
- {
- "field_name": "TERMS_AND_CONDITIONS",
- "display_preference": {
- "hidden": false
}
}, - {
- "field_name": "PAYMENT_TERMS",
- "display_preference": {
- "hidden": false
}
}
], - "invoice_details_settings": [
- {
- "field_name": "ORDER_DETAILS",
- "display_preference": {
- "hidden": false
}
}, - {
- "field_name": "PROJECT_DETAILS",
- "display_preference": {
- "hidden": true
}
}
]
}
}{- "id": "INV2-Z56S-5LLA-Q52L-CPZ5",
- "status": "DRAFT",
- "detail": {
- "invoice_number": "#123",
- "reference": "deal-ref",
- "invoice_date": "2018-11-12",
- "currency_code": "USD",
- "note": "Thank you for your business.",
- "term": "No refunds after 30 days.",
- "memo": "This is a long contract",
- "payment_term": {
- "term_type": "NET_10",
- "due_date": "2018-11-22"
}, - "order_details": "Order #12345 placed on January 15, 2023.",
- "project_details": "Website redesign project for client XYZ Corp.",
- "service_details": "Consulting services provided from Jan-Mar 2023.",
- "cancellation_policy": "Services may be cancelled with 14-day notice.",
- "payment_terms": "Payment due within 10 days of invoice date.",
- "return_policy": "All sales are final. No returns accepted after 30 days.",
- "service_agreement": "Services provided as per agreement dated Jan 1, 2023.",
- "tip_presets": [
- {
- "percent": "15"
}, - {
- "percent": "20"
}, - {
- "percent": "25"
}
], - "metadata": {
- "create_time": "2018-11-12T08:00:20Z",
}
}, - "invoicer": {
- "name": {
- "given_name": "David",
- "surname": "Larusso"
}, - "address": {
- "address_line_1": "1234 First Street",
- "address_line_2": "337673 Hillside Court",
- "admin_area_2": "Anytown",
- "admin_area_1": "CA",
- "postal_code": "98765",
- "country_code": "US"
}, - "phones": [
- {
- "country_code": "001",
- "national_number": "4085551234",
- "phone_type": "MOBILE"
}
], - "tax_id": "ABcNkWSfb5ICTt73nD3QON1fnnpgNKBy-Jb5SeuGj185MNNw6g",
- "additional_notes": "2-4"
}, - "primary_recipients": [
- {
- "billing_info": {
- "name": {
- "given_name": "Stephanie",
- "surname": "Meyers"
}, - "address": {
- "address_line_1": "1234 Main Street",
- "admin_area_2": "Anytown",
- "admin_area_1": "CA",
- "postal_code": "98765",
- "country_code": "US"
}, - "phones": [
- {
- "country_code": "001",
- "national_number": "4884551234",
- "phone_type": "HOME"
}
], - "additional_info_value": "add-info"
}, - "shipping_info": {
- "name": {
- "given_name": "Stephanie",
- "surname": "Meyers"
}, - "address": {
- "address_line_1": "1234 Main Street",
- "admin_area_2": "Anytown",
- "admin_area_1": "CA",
- "postal_code": "98765",
- "country_code": "US"
}
}
}
], - "items": [
- {
- "name": "Yoga Mat",
- "description": "Elastic mat to practice yoga.",
- "quantity": "1",
- "unit_amount": {
- "currency_code": "USD",
- "value": "50.00"
}, - "tax": {
- "name": "Sales Tax",
- "percent": "7.25",
- "amount": {
- "currency_code": "USD",
- "value": "3.27",
- "tax_note": "Reduced tax rate"
}
}, - "discount": {
- "percent": "5",
- "amount": {
- "currency_code": "USD",
- "value": "2.5"
}
}, - "unit_of_measure": "QUANTITY"
}, - {
- "name": "Yoga T Shirt",
- "quantity": "1",
- "unit_amount": {
- "currency_code": "USD",
- "value": "10.00"
}, - "tax": {
- "name": "Sales Tax",
- "percent": "7.25",
- "amount": {
- "currency_code": "USD",
- "value": "0.34",
- "tax_note": "Reduced tax rate"
}
}, - "discount": {
- "amount": {
- "currency_code": "USD",
- "value": "5.00"
}
}, - "unit_of_measure": "QUANTITY"
}
], - "configuration": {
- "partial_payment": {
- "allow_partial_payment": true,
- "minimum_amount_due": {
- "currency_code": "USD",
- "value": "20.00"
}
}, - "allow_tip": true,
- "allow_only_pay_by_bank": true,
- "tax_calculated_after_discount": true,
- "tax_inclusive": false,
- "template_id": "TEMP-19V05281TU309413B"
}, - "amount": {
- "currency_code": "USD",
- "value": "74.21",
- "breakdown": {
- "item_total": {
- "currency_code": "USD",
- "value": "60.00"
}, - "custom": {
- "label": "Packing Charges",
- "amount": {
- "currency_code": "USD",
- "value": "10.00"
}
}, - "shipping": {
- "amount": {
- "currency_code": "USD",
- "value": "10.00"
}, - "tax": {
- "name": "Sales Tax",
- "percent": "7.25",
- "amount": {
- "currency_code": "USD",
- "value": "0.73",
- "tax_note": "Reduced tax rate"
}
}
}, - "discount": {
- "item_discount": {
- "currency_code": "USD",
- "value": "-7.50"
}, - "invoice_discount": {
- "percent": "5",
- "amount": {
- "currency_code": "USD",
- "value": "-2.63"
}
}
}, - "tax_total": {
- "currency_code": "USD",
- "value": "4.34"
}
}
}, - "due_amount": {
- "currency_code": "USD",
- "value": "74.21"
}, - "settings": {
- "invoice_item_settings": [
- {
- "field_name": "ITEM_DESCRIPTION",
- "display_preference": {
- "hidden": false
}
}, - {
- "field_name": "ITEM_DATE",
- "display_preference": {
- "hidden": true
}
}, - {
- "field_name": "ITEM_TAX",
- "display_preference": {
- "hidden": false
}
}, - {
- "field_name": "ITEM_DISCOUNT",
- "display_preference": {
- "hidden": true
}
}
]
}, - "links": [
- {
- "rel": "self",
- "method": "GET"
}, - {
- "rel": "send",
- "method": "POST"
}, - {
- "rel": "replace",
- "method": "PUT"
}, - {
- "rel": "delete",
- "method": "DELETE"
}, - {
- "rel": "record-payment",
- "method": "POST"
}, - {
- "rel": "qr-code",
- "method": "POST"
}
]
}Lists invoices. To filter the invoices that appear in the response, you can specify one or more optional query parameters.
A successful request returns the HTTP 200 OK status code and a JSON response body that lists invoices with details.
{ }{- "total_items": 2,
- "total_pages": 1,
- "items": [
- {
- "id": "INV2-Z56S-5LLA-Q52L-CPZ5",
- "status": "DRAFT",
- "detail": {
- "invoice_number": "#123",
- "reference": "deal-ref",
- "invoice_date": "2018-11-12",
- "currency_code": "USD",
- "note": "Thank you for your business.",
- "term": "No refunds after 30 days.",
- "memo": "This is a long contract",
- "payment_term": {
- "term_type": "NET_10",
- "due_date": "2018-11-22"
}, - "metadata": {
- "create_time": "2018-11-12T08:00:20Z",
}
}, - "amount": {
- "currency_code": "USD",
- "value": "74.21"
}, - "links": [
- {
- "rel": "self",
- "method": "GET"
}, - {
- "rel": "send",
- "method": "POST"
}, - {
- "rel": "replace",
- "method": "PUT"
}, - {
- "rel": "delete",
- "method": "DELETE"
}
]
}, - {
- "id": "INV2-NP6M-C9A8-ZBDA-3TEX",
- "status": "SCHEDULED",
- "detail": {
- "invoice_number": "0001",
- "invoice_date": "2018-05-14",
- "currency_code": "USD",
- "payment_term": {
- "due_date": "2018-05-15"
}, - "metadata": {
- "create_time": "2018-05-15T17:24:12Z"
}
}, - "amount": {
- "currency_code": "USD",
- "value": "32.00"
}, - "links": [
- {
- "rel": "self",
- "method": "GET"
}, - {
- "rel": "replace",
- "method": "PUT"
}, - {
- "rel": "delete",
- "method": "DELETE"
}, - {
- "rel": "record-payment",
- "method": "POST"
}
]
}
], - "links": [
- {
- "rel": "self",
- "method": "GET"
}
]
}Sends or schedules an invoice, by ID, to be sent to a customer. The action depends on the invoice issue date:
send_to_invoicer body parameter to false. To send the invoice through a share link and not through PayPal, set the send_to_recipient parameter to false in the notification object. The send_to_recipient parameter does not apply to a future issue date because the invoice is scheduled to be sent through PayPal on that date.Notes:
- After you send an invoice, resending it has no effect.
- To send a notification for updates, update the invoice and set the
send_to_recipientbody parameter totrue.
The email or SMS notification to send to the payer when they send an invoice..
The server has accepted the request and will execute it at a later time.
{- "send_to_invoicer": true
}{- "rel": "payer-view",
- "method": "GET"
}Shows details for an invoice, by ID.
A successful request returns the HTTP 200 OK status code and a JSON response body that shows invoice details.
curl -v -X GET https://api-m.sandbox.paypal.com/v2/invoicing/invoices/INV2-Z56S-5LLA-Q52L-CPZ5 \ -H 'Authorization: Bearer zekwhYgsYYI0zDg0p_Nf5v78VelCfYR0' \ -H 'Content-Type: application/json'
{- "id": "INV2-Z56S-5LLA-Q52L-CPZ5",
- "status": "DRAFT",
- "detail": {
- "invoice_number": "#123",
- "reference": "deal-ref",
- "invoice_date": "2018-11-12",
- "currency_code": "USD",
- "note": "Thank you for your business.",
- "term": "No refunds after 30 days.",
- "memo": "This is a long contract",
- "payment_term": {
- "term_type": "NET_10",
- "due_date": "2018-11-22"
}, - "order_details": "Order #12345 placed on January 15, 2023.",
- "project_details": "Website redesign project for client XYZ Corp.",
- "service_details": "Consulting services provided from Jan-Mar 2023.",
- "cancellation_policy": "Services may be cancelled with 14-day notice.",
- "payment_terms": "Payment due within 10 days of invoice date.",
- "return_policy": "All sales are final. No returns accepted after 30 days.",
- "service_agreement": "Services provided as per agreement dated Jan 1, 2023.",
- "tip_presets": [
- {
- "percent": "15"
}, - {
- "percent": "20"
}, - {
- "percent": "25"
}
], - "metadata": {
- "create_time": "2018-11-12T08:00:20Z",
}
}, - "invoicer": {
- "name": {
- "given_name": "David",
- "surname": "Larusso"
}, - "address": {
- "address_line_1": "1234 First Street",
- "address_line_2": "337673 Hillside Court",
- "admin_area_2": "Anytown",
- "admin_area_1": "CA",
- "postal_code": "98765",
- "country_code": "US"
}, - "phones": [
- {
- "country_code": "001",
- "national_number": "4085551234",
- "phone_type": "MOBILE"
}
], - "tax_id": "ABcNkWSfb5ICTt73nD3QON1fnnpgNKBy-Jb5SeuGj185MNNw6g",
- "additional_notes": "2-4"
}, - "primary_recipients": [
- {
- "billing_info": {
- "name": {
- "given_name": "Stephanie",
- "surname": "Meyers"
}, - "address": {
- "address_line_1": "1234 Main Street",
- "admin_area_2": "Anytown",
- "admin_area_1": "CA",
- "postal_code": "98765",
- "country_code": "US"
}, - "phones": [
- {
- "country_code": "001",
- "national_number": "4884551234",
- "phone_type": "HOME"
}
], - "additional_info_value": "add-info"
}, - "shipping_info": {
- "name": {
- "given_name": "Stephanie",
- "surname": "Meyers"
}, - "address": {
- "address_line_1": "1234 Main Street",
- "admin_area_2": "Anytown",
- "admin_area_1": "CA",
- "postal_code": "98765",
- "country_code": "US"
}
}
}
], - "items": [
- {
- "name": "Yoga Mat",
- "description": "Elastic mat to practice yoga.",
- "quantity": "1",
- "unit_amount": {
- "currency_code": "USD",
- "value": "50.00"
}, - "tax": {
- "name": "Sales Tax",
- "percent": "7.25",
- "tax_note": "Reduced tax rate",
- "amount": {
- "currency_code": "USD",
- "value": "3.27"
}
}, - "discount": {
- "percent": "5",
- "amount": {
- "currency_code": "USD",
- "value": "2.5"
}
}, - "unit_of_measure": "QUANTITY"
}, - {
- "name": "Yoga T Shirt",
- "quantity": "1",
- "unit_amount": {
- "currency_code": "USD",
- "value": "10.00"
}, - "tax": {
- "name": "Sales Tax",
- "percent": "7.25",
- "amount": {
- "currency_code": "USD",
- "value": "0.34"
}
}, - "discount": {
- "amount": {
- "currency_code": "USD",
- "value": "5.00"
}
}, - "unit_of_measure": "QUANTITY"
}
], - "configuration": {
- "partial_payment": {
- "allow_partial_payment": true,
- "minimum_amount_due": {
- "currency_code": "USD",
- "value": "20.00"
}
}, - "allow_tip": true,
- "allow_only_pay_by_bank": true,
- "tax_calculated_after_discount": true,
- "tax_inclusive": false,
- "template_id": "TEMP-19V05281TU309413B",
- "has_conditional_rule": true
}, - "amount": {
- "currency_code": "USD",
- "value": "74.21",
- "breakdown": {
- "item_total": {
- "currency_code": "USD",
- "value": "60.00"
}, - "custom": {
- "label": "Packing Charges",
- "amount": {
- "currency_code": "USD",
- "value": "10.00"
}
}, - "shipping": {
- "amount": {
- "currency_code": "USD",
- "value": "10.00"
}, - "tax": {
- "name": "Sales Tax",
- "percent": "7.25",
- "amount": {
- "currency_code": "USD",
- "value": "0.73"
}
}
}, - "discount": {
- "item_discount": {
- "currency_code": "USD",
- "value": "-7.50"
}, - "invoice_discount": {
- "percent": "5",
- "amount": {
- "currency_code": "USD",
- "value": "-2.63"
}
}
}, - "tax_total": {
- "currency_code": "USD",
- "value": "4.34"
}
}
}, - "due_amount": {
- "currency_code": "USD",
- "value": "74.21"
}, - "settings": {
- "invoice_item_settings": [
- {
- "field_name": "ITEM_DESCRIPTION",
- "display_preference": {
- "hidden": false
}
}, - {
- "field_name": "ITEM_DATE",
- "display_preference": {
- "hidden": true
}
}, - {
- "field_name": "ITEM_TAX",
- "display_preference": {
- "hidden": false
}
}, - {
- "field_name": "ITEM_DISCOUNT",
- "display_preference": {
- "hidden": true
}
}
], - "invoice_additional_settings": [
- {
- "field_name": "ATTACHMENT",
- "display_preference": {
- "hidden": false
}
}, - {
- "field_name": "MEMO",
- "display_preference": {
- "hidden": true
}
}, - {
- "field_name": "REFERENCE",
- "display_preference": {
- "hidden": false
}
}
], - "invoice_policy_and_agreement_settings": [
- {
- "field_name": "PAYMENT_TERMS",
- "display_preference": {
- "hidden": false
}
}, - {
- "field_name": "TERMS_AND_CONDITIONS",
- "display_preference": {
- "hidden": false
}
}
], - "invoice_details_settings": [
- {
- "field_name": "ORDER_DETAILS",
- "display_preference": {
- "hidden": true
}
}, - {
- "field_name": "PROJECT_DETAILS",
- "display_preference": {
- "hidden": false
}
}, - {
- "field_name": "SERVICE_DETAILS",
- "display_preference": {
- "hidden": false
}
}
]
}, - "links": [
- {
- "rel": "self",
- "method": "GET"
}, - {
- "rel": "send",
- "method": "POST"
}, - {
- "rel": "replace",
- "method": "PUT"
}, - {
- "rel": "delete",
- "method": "DELETE"
}, - {
- "rel": "record-payment",
- "method": "POST"
}, - {
- "rel": "qr-code",
- "method": "POST"
}
]
}Fully updates an invoice, by ID. In the JSON request body, include a complete invoice object. This call does not support partial updates.
Notes:.
- API caller can change/modify recipient only 2 times in 72 hours.
A representation of changes to make in the invoice.
A successful request returns the HTTP 200 OK status code. A JSON response body that shows invoice details is returned if you set prefer=return=representation.
{- "id": "INV2-C82X-JNN9-Y6S5-CNXW",
- "status": "DRAFT",
- "detail": {
- "invoice_number": "#123",
- "reference": "deal-refernce-update",
- "invoice_date": "2018-11-12",
- "currency_code": "USD",
- "note": "Thank you for your business.",
- "term": "No refunds after 30 days.",
- "memo": "This is a long contract",
- "payment_term": {
- "term_type": "NET_10",
- "due_date": "2018-11-22"
}, - "order_details": "Updated order #12345 details from Jan 15, 2023.",
- "project_details": "Updated website redesign project for XYZ Corp - added mobile optimization.",
- "service_details": "Additional consulting services Jan-Apr 2023.",
- "cancellation_policy": "Updated: Services may be cancelled with 30-day notice.",
- "payment_terms": "Updated: Payment due within 15 days of invoice date.",
- "return_policy": "Updated: All sales are final. No returns accepted after 15 days.",
- "service_agreement": "Updated: Services provided as per revised agreement dated Feb 1, 2023.",
- "tip_presets": [
- {
- "percent": "15"
}, - {
- "percent": "20"
}, - {
- "percent": "25"
}
]
}, - "invoicer": {
- "name": {
- "given_name": "David",
- "surname": "Larusso"
}, - "address": {
- "address_line_1": "1234 First Street",
- "address_line_2": "337673 Hillside Court",
- "admin_area_2": "Anytown",
- "admin_area_1": "CA",
- "postal_code": "98765",
- "country_code": "US"
}, - "phones": [
- {
- "country_code": "001",
- "national_number": "4085551234",
- "phone_type": "MOBILE"
}
], - "website": "www.test.com",
- "tax_id": "ABcNkWSfb5ICTt73nD3QON1fnnpgNKBy-Jb5SeuGj185MNNw6g",
- "additional_notes": "2-4"
}, - "primary_recipients": [
- {
- "billing_info": {
- "name": {
- "given_name": "Stephanie",
- "surname": "Meyers"
}, - "address": {
- "address_line_1": "1234 Main Street",
- "admin_area_2": "Anytown",
- "admin_area_1": "CA",
- "postal_code": "98765",
- "country_code": "US"
}, - "phones": [
- {
- "country_code": "001",
- "national_number": "4884551234",
- "phone_type": "HOME"
}
], - "additional_info_value": "add-info"
}, - "shipping_info": {
- "name": {
- "given_name": "Stephanie",
- "surname": "Meyers"
}, - "address": {
- "address_line_1": "1234 Main Street",
- "admin_area_2": "Anytown",
- "admin_area_1": "CA",
- "postal_code": "98765",
- "country_code": "US"
}
}
}
], - "items": [
- {
- "name": "Yoga Mat",
- "description": "Elastic mat to practice yoga.",
- "quantity": "1",
- "unit_amount": {
- "currency_code": "USD",
- "value": "50.00"
}, - "tax": {
- "name": "Sales Tax",
- "percent": "7.25",
- "tax_note": "Reduced tax rate",
- "amount": {
- "currency_code": "USD",
- "value": "3.27"
}
}, - "discount": {
- "percent": "5",
- "amount": {
- "currency_code": "USD",
- "value": "2.5"
}
}, - "unit_of_measure": "QUANTITY"
}, - {
- "name": "Yoga t-shirt",
- "quantity": "1",
- "unit_amount": {
- "currency_code": "USD",
- "value": "10.00"
}, - "tax": {
- "name": "Sales Tax",
- "percent": "7.25",
- "amount": {
- "currency_code": "USD",
- "value": "0.34"
}
}, - "discount": {
- "amount": {
- "currency_code": "USD",
- "value": "5.00"
}
}, - "unit_of_measure": "QUANTITY"
}
], - "configuration": {
- "partial_payment": {
- "allow_partial_payment": true,
- "minimum_amount_due": {
- "currency_code": "USD",
- "value": "20.00"
}
}, - "allow_tip": true,
- "tax_calculated_after_discount": true,
- "tax_inclusive": false,
- "template_id": "TEMP-19V05281TU309413B"
}, - "amount": {
- "currency_code": "USD",
- "value": "74.21",
- "breakdown": {
- "item_total": {
- "currency_code": "USD",
- "value": "60.00"
}, - "custom": {
- "label": "Packing Charges",
- "amount": {
- "currency_code": "USD",
- "value": "10.00"
}
}, - "shipping": {
- "amount": {
- "currency_code": "USD",
- "value": "10.00"
}, - "tax": {
- "name": "Sales Tax",
- "percent": "7.25",
- "amount": {
- "currency_code": "USD",
- "value": "0.73"
}
}
}, - "discount": {
- "item_discount": {
- "currency_code": "USD",
- "value": "-7.50"
}, - "invoice_discount": {
- "percent": "5",
- "amount": {
- "currency_code": "USD",
- "value": "-2.63"
}
}
}, - "tax_total": {
- "currency_code": "USD",
- "value": "4.34"
}
}
}, - "settings": {
- "invoice_item_settings": [
- {
- "field_name": "ITEM_DESCRIPTION",
- "display_preference": {
- "hidden": false
}
}, - {
- "field_name": "ITEM_DATE",
- "display_preference": {
- "hidden": true
}
}, - {
- "field_name": "ITEM_TAX",
- "display_preference": {
- "hidden": false
}
}, - {
- "field_name": "ITEM_DISCOUNT",
- "display_preference": {
- "hidden": true
}
}
], - "invoice_additional_settings": [
- {
- "field_name": "ATTACHMENT",
- "display_preference": {
- "hidden": false
}
}, - {
- "field_name": "MEMO",
- "display_preference": {
- "hidden": false
}
}, - {
- "field_name": "REFERENCE",
- "display_preference": {
- "hidden": true
}
}
], - "invoice_policy_and_agreement_settings": [
- {
- "field_name": "TERMS_AND_CONDITIONS",
- "display_preference": {
- "hidden": false
}
}, - {
- "field_name": "PAYMENT_TERMS",
- "display_preference": {
- "hidden": false
}
}, - {
- "field_name": "CANCELLATION_POLICY",
- "display_preference": {
- "hidden": false
}
}
], - "invoice_details_settings": [
- {
- "field_name": "SERVICE_DETAILS",
- "display_preference": {
- "hidden": false
}
}
]
}
}{- "id": "INV2-C82X-JNN9-Y6S5-CNXW",
- "status": "DRAFT",
- "detail": {
- "invoice_number": "#123",
- "reference": "deal-refernce-update",
- "invoice_date": "2018-11-12",
- "currency_code": "USD",
- "note": "Thank you for your business.",
- "term": "No refunds after 30 days.",
- "memo": "This is a long contract",
- "payment_term": {
- "term_type": "NET_10",
- "due_date": "2018-11-22"
}, - "order_details": "Updated order #12345 details from Jan 15, 2023.",
- "project_details": "Updated website redesign project for XYZ Corp - added mobile optimization.",
- "service_details": "Additional consulting services Jan-Apr 2023.",
- "cancellation_policy": "Updated: Services may be cancelled with 30-day notice.",
- "payment_terms": "Updated: Payment due within 15 days of invoice date.",
- "return_policy": "Updated: All sales are final. No returns accepted after 15 days.",
- "service_agreement": "Updated: Services provided as per revised agreement dated Feb 1, 2023.",
- "tip_presets": [
- {
- "percent": "15"
}, - {
- "percent": "20"
}, - {
- "percent": "25"
}
], - "metadata": {
- "create_time": "2018-11-12T08:00:20Z",
}
}, - "invoicer": {
- "name": {
- "given_name": "David",
- "surname": "Larusso"
}, - "address": {
- "address_line_1": "1234 First Street",
- "address_line_2": "337673 Hillside Court",
- "admin_area_2": "Anytown",
- "admin_area_1": "CA",
- "postal_code": "98765",
- "country_code": "US"
}, - "phones": [
- {
- "country_code": "001",
- "national_number": "4085551234",
- "phone_type": "MOBILE"
}
], - "tax_id": "ABcNkWSfb5ICTt73nD3QON1fnnpgNKBy-Jb5SeuGj185MNNw6g",
- "additional_notes": "2-4"
}, - "primary_recipients": [
- {
- "billing_info": {
- "name": {
- "given_name": "Stephanie",
- "surname": "Meyers"
}, - "address": {
- "address_line_1": "1234 Main Street",
- "admin_area_2": "Anytown",
- "admin_area_1": "CA",
- "postal_code": "98765",
- "country_code": "US"
}, - "phones": [
- {
- "country_code": "001",
- "national_number": "4884551234",
- "phone_type": "HOME"
}
], - "additional_info_value": "add-info"
}, - "shipping_info": {
- "name": {
- "given_name": "Stephanie",
- "surname": "Meyers"
}, - "address": {
- "address_line_1": "1234 Main Street",
- "admin_area_2": "Anytown",
- "admin_area_1": "CA",
- "postal_code": "98765",
- "country_code": "US"
}
}
}
], - "items": [
- {
- "name": "Yoga Mat",
- "description": "Elastic mat to practice yoga.",
- "quantity": "1",
- "unit_amount": {
- "currency_code": "USD",
- "value": "50.00"
}, - "tax": {
- "name": "Sales Tax",
- "percent": "7.25",
- "amount": {
- "currency_code": "USD",
- "value": "3.27"
}
}, - "discount": {
- "percent": "5",
- "amount": {
- "currency_code": "USD",
- "value": "2.5"
}
}, - "unit_of_measure": "QUANTITY"
}, - {
- "name": "Yoga t-shirt",
- "quantity": "1",
- "unit_amount": {
- "currency_code": "USD",
- "value": "10.00"
}, - "tax": {
- "name": "Sales Tax",
- "percent": "7.25",
- "amount": {
- "currency_code": "USD",
- "value": "0.34"
}
}, - "discount": {
- "amount": {
- "currency_code": "USD",
- "value": "5.00"
}
}, - "unit_of_measure": "QUANTITY"
}
], - "configuration": {
- "partial_payment": {
- "allow_partial_payment": true,
- "minimum_amount_due": {
- "currency_code": "USD",
- "value": "20.00"
}
}, - "allow_tip": true,
- "allow_only_pay_by_bank": true,
- "tax_calculated_after_discount": true,
- "tax_inclusive": false,
- "template_id": "TEMP-19V05281TU309413B"
}, - "amount": {
- "currency_code": "USD",
- "value": "74.21",
- "breakdown": {
- "item_total": {
- "currency_code": "USD",
- "value": "60.00"
}, - "custom": {
- "label": "Packing Charges",
- "amount": {
- "currency_code": "USD",
- "value": "10.00"
}
}, - "shipping": {
- "amount": {
- "currency_code": "USD",
- "value": "10.00"
}, - "tax": {
- "name": "Sales Tax",
- "percent": "7.25",
- "amount": {
- "currency_code": "USD",
- "value": "0.73"
}
}
}, - "discount": {
- "item_discount": {
- "currency_code": "USD",
- "value": "-7.50"
}, - "invoice_discount": {
- "percent": "5",
- "amount": {
- "currency_code": "USD",
- "value": "-2.63"
}
}
}, - "tax_total": {
- "currency_code": "USD",
- "value": "4.34"
}
}
}, - "due_amount": {
- "currency_code": "USD",
- "value": "74.21"
}, - "settings": {
- "invoice_item_settings": [
- {
- "field_name": "ITEM_DESCRIPTION",
- "display_preference": {
- "hidden": false
}
}, - {
- "field_name": "ITEM_DATE",
- "display_preference": {
- "hidden": true
}
}, - {
- "field_name": "ITEM_TAX",
- "display_preference": {
- "hidden": false
}
}, - {
- "field_name": "ITEM_DISCOUNT",
- "display_preference": {
- "hidden": false
}
}
]
}, - "links": [
- {
- "rel": "self",
- "method": "GET"
}, - {
- "rel": "send",
- "method": "POST"
}, - {
- "rel": "replace",
- "method": "PUT"
}, - {
- "rel": "delete",
- "method": "DELETE"
}
]
}Deletes a draft or scheduled invoice, by ID. Deletes invoices in the draft or scheduled state only. For invoices that have already been sent, you can cancel the invoice. After you delete a draft or scheduled invoice, you can no longer use it or show its details. However, you can reuse its invoice number.
A successful request returns the HTTP 204 No Content status code with no JSON response body.
curl -v -X DELETE https://api-m.sandbox.paypal.com/v2/invoicing/invoices/INV2-Z56S-5LLA-Q52L-CPZ5 \ -H 'Authorization: Bearer zekwhYgsYYI0zDg0p_Nf5v78VelCfYR0'
{ }Searches for and lists invoices that match search criteria. If you pass multiple criteria, the response lists invoices that match all criteria.
The invoice search can be used to retrieve the invoices based on the search parameters.
| recipient_email | string [ 0 .. 254 ] characters ^[\S\s]*$ Filters the search by the email address. | ||||||||||||||||||||||||||||||||||
| recipient_first_name | string [ 0 .. 140 ] characters ^[\S\s]*$ Filters the search by the recipient first name. | ||||||||||||||||||||||||||||||||||
| recipient_last_name | string [ 0 .. 140 ] characters ^[\S\s]*$ Filters the search by the recipient last name. | ||||||||||||||||||||||||||||||||||
| recipient_business_name | string [ 0 .. 300 ] characters ^[\S\s]*$ Filters the search by the recipient business name. | ||||||||||||||||||||||||||||||||||
| invoice_number | string [ 0 .. 25 ] characters ^[\S\s]*$ Filters the search by the invoice number. | ||||||||||||||||||||||||||||||||||
| status | Array of strings (invoice_status) [ 0 .. 5 ] items An array of status values.
| ||||||||||||||||||||||||||||||||||
| reference | string [ 0 .. 120 ] characters ^[\S\s]*$ The reference data. Includes a Purchase Order (PO) number. | ||||||||||||||||||||||||||||||||||
| memo | string [ 0 .. 500 ] characters ^[\S\s]*$ A private bookkeeping memo for the user. | ||||||||||||||||||||||||||||||||||
object (Date and Time Range) The date and time range. Filters invoices by creation date, invoice date, due date, and payment date. | |||||||||||||||||||||||||||||||||||
| archived | boolean Indicates whether to list merchant-archived invoices in the response. Value is:
| ||||||||||||||||||||||||||||||||||
| fields | Array of strings [ 0 .. 5 ] items A CSV file of fields to return for the user, if available. Because the invoice object can be very large, field filtering is required. Valid collection fields are | ||||||||||||||||||||||||||||||||||
| currency_code | string <ppaas_common_currency_code_v2> (currency_code) = 3 characters The three-character ISO-4217 currency code that identifies the currency. | ||||||||||||||||||||||||||||||||||
object (amount_range) The amount range. | |||||||||||||||||||||||||||||||||||
object (date_range) The date range. Filters invoices by creation date, invoice date, due date, and payment date. | |||||||||||||||||||||||||||||||||||
object (date_range) The date range. Filters invoices by creation date, invoice date, due date, and payment date. | |||||||||||||||||||||||||||||||||||
object (Date and Time Range) The date and time range. Filters invoices by creation date, invoice date, due date, and payment date. |
A successful request returns the HTTP 200 OK status code and a JSON response body that lists the invoices that match the search criteria.
{- "total_amount_range": {
- "lower_amount": {
- "currency_code": "USD",
- "value": "50.00"
}, - "upper_amount": {
- "currency_code": "USD",
- "value": "50.00"
}
}, - "invoice_date_range": {
- "start": "2018-06-01",
- "end": "2018-06-21"
}
}{- "total_items": 6,
- "total_pages": 1,
- "items": [
- {
- "id": "INV2-Z56S-5LLA-Q52L-CPZ5",
- "status": "DRAFT",
- "detail": {
- "invoice_number": "#123",
- "reference": "deal-ref",
- "invoice_date": "2018-11-12",
- "currency_code": "USD",
- "note": "Thank you for your business.",
- "term": "No refunds after 30 days.",
- "memo": "This is a long contract",
- "payment_term": {
- "term_type": "NET_10",
- "due_date": "2018-11-22"
}, - "metadata": {
- "create_time": "2018-11-12T08:00:20Z",
}
}, - "amount": {
- "currency_code": "USD",
- "value": "74.21"
}, - "links": [
- {
- "rel": "self",
- "method": "GET"
}
]
}
], - "links": [
- {
- "rel": "next",
- "method": "POST"
}
]
}Cancels a sent invoice, by ID, and, optionally, sends a notification about the cancellation to the payer, merchant, and CC: emails.
The email or SMS notification that will be sent to the payer on cancellation.
A successful request returns the HTTP 204 No Content status code with no JSON response body.
{ }Sends a reminder to the payer about an invoice, by ID. In the JSON request body, include a notification object that defines the subject of the reminder and other details.
Notes:.
- API caller can send only 2 reminders in a day.
The email or SMS notification that will be sent to the payer for reminder.
A successful request returns the HTTP 204 No Content status code with no JSON response body.
{ }Records a payment for the invoice. If no payment is due, the invoice is marked as PAID. Otherwise, the invoice is marked as PARTIALLY PAID.
The details of the payment to record against the invoice.
| payment_id | string [ 0 .. 22 ] characters ^[\S\s]*$ The ID for a PayPal payment transaction. Required for the | ||||||||||||||||||
| note | string [ 0 .. 2000 ] characters ^[\S\s]*$ A note associated with an external cash or check payment. | ||||||||||||||||||
| payment_date | string <ppaas_date_notime_v2> (date_no_time) = 10 characters ^[0-9]{4}-(0[1-9]|1[0-2])-(0[1-9]|[1-2][0-9]|... The stand-alone date, in Internet date and time format. To represent special legal values, such as a date of birth, you should use dates with no associated time or time-zone data. Whenever possible, use the standard | ||||||||||||||||||
| payment_date_time | string <ppaas_date_time_v3> (date_time) [ 20 .. 64 ] characters ^[0-9]{4}-(0[1-9]|1[0-2])-(0[1-9]|[1-2][0-9]|... The date and time, in Internet date and time format. Seconds are required while fractional seconds are optional. Note: The regular expression provides guidance but does not reject all invalid dates. | ||||||||||||||||||
| method required | string (payment_method) [ 0 .. 255 ] characters ^[\S\s]*$ The payment mode or method through which the invoicer can accept the payment.
| ||||||||||||||||||
object (Money) The currency and amount for a financial transaction, such as a balance or payment due. | |||||||||||||||||||
object (contact_information) The contact information of the user. Includes name and address. |
A successful request returns the HTTP 200 Created status code and a reference to the recorded payment.
{- "method": "BANK_TRANSFER",
- "payment_date": "2018-05-01",
- "amount": {
- "currency_code": "USD",
- "value": "10.00"
}
}{- "payment_id": "EXTR-86F38350LX4353815"
}Deletes an external payment, by invoice ID and transaction ID.
A successful request returns the HTTP 204 No Content status code with no JSON response body.
curl -v -X DELETE https://api-m.sandbox.paypal.com/v2/invoicing/invoices/INV2-Z56S-5LLA-Q52L-CPZ5/payments/EXTR-86F38350LX4353815 \ -H 'Authorization: Bearer zekwhYgsYYI0zDg0p_Nf5v78VelCfYR0'
{ }Records a refund for the invoice. If all payments are refunded, the invoice is marked as REFUNDED. Otherwise, the invoice is marked as PARTIALLY REFUNDED.
The details of the refund to record against the invoice.
| refund_date | string <ppaas_date_notime_v2> (date_no_time) = 10 characters ^[0-9]{4}-(0[1-9]|1[0-2])-(0[1-9]|[1-2][0-9]|... The stand-alone date, in Internet date and time format. To represent special legal values, such as a date of birth, you should use dates with no associated time or time-zone data. Whenever possible, use the standard | ||||||||||||||||||
object (Money) The currency and amount for a financial transaction, such as a balance or payment due. | |||||||||||||||||||
| method required | string (payment_method) [ 0 .. 255 ] characters ^[\S\s]*$ The payment mode or method through which the invoicer can accept the payments.
|
A successful request returns the HTTP 200 Created status code and a reference to the recorded refund.
{- "method": "BANK_TRANSFER",
- "refund_date": "2018-05-21",
- "amount": {
- "currency_code": "USD",
- "value": "5.00"
}
}{- "refund_id": "EXTR-2LG703375E477444T"
}Deletes an external refund, by invoice ID and transaction ID.
A successful request returns the HTTP 204 No Content status code with no JSON response body.
curl -v -X DELETE https://api-m.sandbox.paypal.com/v2/invoicing/invoices/INV2-Z56S-5LLA-Q52L-CPZ5/refunds/EXTR-2LG703375E477444T \ -H 'Authorization: Bearer zekwhYgsYYI0zDg0p_Nf5v78VelCfYR0'
{ }Generates the next invoice number that is available to the merchant. The next invoice number uses the prefix and suffix from the last invoice number and increments the number by one. For example, the next invoice number after INVOICE-1234 is INVOICE-1235.
A successful request returns the HTTP 200 OK status code and a JSON response body that shows the next invoice number.
{- "fetch_id": true
}{- "invoice_id": "INV2-Z56S-5LLA-Q52L-CPZ5"
}Generates a QR code for an invoice, by ID. The QR code is a PNG image in Base64-encoded format that corresponds to the invoice ID. You can generate a QR code for an invoice and add it to a paper or PDF invoice. When customers use their mobile devices to scan the QR code, they are redirected to the PayPal mobile payment flow where they can view the invoice and pay online with PayPal or a credit card. Before you get a QR code, you must create an invoice and send an invoice to move the invoice from a draft to payable state. Do not include an email address if you do not want the invoice emailed.
Optional configuration parameters to adjust QR code width, height and the encoded URL.
A successful request returns the HTTP 200 OK status code and a JSON response body that shows the QR code as a PNG image.
{- "width": 400,
- "height": 400
}--95dbdbed-7536-4c24-b5ca-bcdbc0006612 Content-Disposition: form-data; name="image" Content-Type: application/octet-stream iVBORw0KGgoAAAANSUhEUgAAAJYAAACWAQAAAAAUekxPAAABxUlEQVR42u2WMY7kIBBFq0VA1n0BS1yDjCvZF7DxBdxXIuMaSFzAzgiQaz6t9mxLm1AbrCYYy4H1AlT1f9XHxH89lX7Z/2KJKN3CMIW6FCInYplLPtisoU6FTyHzti6RN5tPm+5ixrtTp0uP8g8s744eMS1yxvikNEOJz966GPTLaOL1fmjaxfAkaLCy2t2Hl10sPUIaNY1araFhCat3TbODDPkZ68Ii1sqfX62c1rzP62W8uWG0aiMaxSyvpS4hez2MzXkZg+FL4NNCwku/XtZ8g/Be550+Pe9jWj0x41rt1ngZyxzYa+NpmDjNMlYx1yhhs2glM8vY3IQ3qGWz9Tqvk7F3cGyYNd3KQDKGSWFGDjFNIZ8yhuWgR8gb5jR8+9bJ8rPUCd3oYbY4VcQqaWSYWRGcdnhnSS+D6lhKJIE5+JrTXtaquDtzuuypXrV0stRKwLAUzFodnYjxERP28ihtLw8WsbQE7JbxCD9SmxMxfsUYpiZ7lxYWMewltzuqKMz4n13tYi3vl6jW2FJQynBH+Za7Zie6sZRhNVXLTkqTmGUE5xSRu5dv3Qz3uYdj0bwkFLGWfxxoJMXx28tO9vu/9oPYF0bR/hBeOiwMAAAAAElFTkSuQmCC --95dbdbed-7536-4c24-b5ca-bcdbc0006612--
Lists merchant-created templates with associated details. The associated details include the emails, addresses, and phone numbers from the user's PayPal profile.
The user can select which values to show in the business information section of their template.
A successful request returns the HTTP 200 OK status code and a JSON response body that lists invoices.
{ }{- "addresses": [
- {
- "address_line_1": "1234 First Street",
- "address_line_2": "337673 Hillside Court",
- "admin_area_2": "Anytown",
- "admin_area_1": "CA",
- "postal_code": "98765",
- "country_code": "US"
}, - {
- "address_line_1": "26303 E 8216 N",
- "address_line_2": "045608 Ocean Bay Plaza #02",
- "admin_area_2": "Garden City",
- "admin_area_1": "NY",
- "postal_code": "11530",
- "country_code": "US"
}
], - "phones": [
- {
- "country_code": "001",
- "national_number": "4085551234",
- "phone_type": "HOME"
}, - {
- "country_code": "1",
- "national_number": "3477832250",
- "phone_type": "MOBILE"
}, - {
- "country_code": "1",
- "national_number": "3479543267",
- "phone_type": "FAX"
}, - {
- "country_code": "1",
- "national_number": "7183514942",
- "phone_type": "OTHER"
}
], - "templates": [
- {
- "id": "TEMP-19V05281TU309413B",
- "name": "reference-temp",
- "description": "Template description",
- "default_template": true,
- "template_info": {
- "configuration": {
- "tax_calculated_after_discount": true,
- "tax_inclusive": false,
- "allow_tip": true,
- "partial_payment": {
- "allow_partial_payment": true,
- "minimum_amount_due": {
- "currency_code": "USD",
- "value": "20.00"
}
}
}, - "detail": {
- "reference": "deal-ref",
- "currency_code": "USD",
- "note": "Thank you for your business.",
- "terms_and_conditions": "No refunds after 30 days.",
- "memo": "This is a long contract",
- "attachments": [
- {
- "id": "Screen Shot 2018-11-23 at 16.45.01.png",
}
], - "payment_term": {
- "term_type": "NET_10"
}, - "metadata": {
- "create_time": "2018-12-03T03:38:46z"
}
}, - "invoicer": {
- "name": {
- "given_name": "David",
- "surname": "Larusso"
}, - "address": {
- "address_line_1": "1234 First Street",
- "address_line_2": "337673 Hillside Court",
- "admin_area_2": "Anytown",
- "admin_area_1": "CA",
- "postal_code": "98765",
- "country_code": "US"
}, - "phones": [
- {
- "country_code": "001",
- "national_number": "4085551234",
- "phone_type": "MOBILE"
}
], - "website": "www.test.com",
- "tax_id": "ABcNkWSfb5ICTt73nD3QON1fnnpgNKBy-Jb5SeuGj185MNNw6g",
- "additional_notes": "2-4"
}, - "primary_recipients": [
- {
- "billing_info": {
- "name": {
- "given_name": "Stephanie",
- "surname": "Meyers"
}, - "address": {
- "address_line_1": "1234 Main Street",
- "admin_area_2": "Anytown",
- "admin_area_1": "CA",
- "postal_code": "98765",
- "country_code": "US"
}, - "phones": [
- {
- "country_code": "001",
- "national_number": "4884551234",
- "phone_type": "MOBILE"
}
], - "additional_info": "add-info"
}, - "shipping_info": {
- "name": {
- "given_name": "Stephanie",
- "surname": "Meyers"
}, - "address": {
- "address_line_1": "1234 Main Street",
- "admin_area_2": "Anytown",
- "admin_area_1": "CA",
- "postal_code": "98765",
- "country_code": "US"
}
}
}
], - "items": [
- {
- "id": "ITEM-9R873787D1610780X",
- "name": "Yoga Mat",
- "description": "new watch",
- "quantity": "1",
- "unit_amount": {
- "currency_code": "USD",
- "value": "50.00"
}, - "tax": {
- "id": "TAX-9R873787D1610780X",
- "name": "Sales Tax",
- "percent": "7.25",
- "amount": {
- "currency_code": "USD",
- "value": "3.27"
}
}, - "discount": {
- "percent": "5",
- "amount": {
- "currency_code": "USD",
- "value": "2.5"
}
}, - "unit_of_measure": "QUANTITY"
}, - {
- "id": "ITEM-4XD34145EH4061035",
- "name": "Yoga t-shirt",
- "quantity": "1",
- "unit_amount": {
- "currency_code": "USD",
- "value": "10.00"
}, - "tax": {
- "id": "TAX-4XD34145EH4061035",
- "name": "Sales Tax",
- "percent": "7.25",
- "amount": {
- "currency_code": "USD",
- "value": "0.34"
}
}, - "discount": {
- "amount": {
- "currency_code": "USD",
- "value": "5.00"
}
}, - "unit_of_measure": "QUANTITY"
}
], - "amount": {
- "currency_code": "USD",
- "value": "74.21",
- "breakdown": {
- "item_total": {
- "currency_code": "USD",
- "value": "60.00"
}, - "custom": {
- "label": "Packing Charges",
- "amount": {
- "currency_code": "USD",
- "value": "10.00"
}
}, - "shipping": {
- "amount": {
- "currency_code": "USD",
- "value": "10.00"
}, - "tax": {
- "name": "Sales Tax",
- "percent": "7.25",
- "amount": {
- "currency_code": "USD",
- "value": "0.73"
}
}
}, - "discount": {
- "item_discount": {
- "currency_code": "USD",
- "value": "-7.50"
}, - "invoice_discount": {
- "percent": "5",
- "amount": {
- "currency_code": "USD",
- "value": "-2.63"
}
}
}, - "tax_total": {
- "currency_code": "USD",
- "value": "4.34"
}
}
}
}, - "settings": {
- "template_item_settings": [
- {
- "field_name": "items.date",
- "display_preference": {
- "hidden": true
}
}, - {
- "field_name": "items.discount",
- "display_preference": {
- "hidden": false
}
}, - {
- "field_name": "items.tax",
- "display_preference": {
- "hidden": false
}
}, - {
- "field_name": "items.description",
- "display_preference": {
- "hidden": false
}
}, - {
- "field_name": "items.quantity",
- "display_preference": {
- "hidden": true
}
}
], - "template_subtotal_settings": [
- {
- "field_name": "custom",
- "display_preference": {
- "hidden": false
}
}, - {
- "field_name": "discount",
- "display_preference": {
- "hidden": false
}
}, - {
- "field_name": "shipping",
- "display_preference": {
- "hidden": false
}
}
]
}, - "unit_of_measure": "QUANTITY",
- "standard_template": false,
- "links": [
- {
- "rel": "self",
- "method": "GET"
}
]
}, - {
- "default_template": true,
- "id": "TEMP-11E67842VH3080617",
- "name": "Quantity",
- "description": "Default Template description",
- "template_info": {
- "invoicer": {
- "name": {
- "given_name": "David",
- "surname": "Larusso"
}, - "email_address": "[email protected]"
}, - "detail": {
- "currency_code": "USD"
}
}, - "standard_template": false,
- "links": [
- {
- "rel": "self",
- "method": "GET"
}
]
}, - {
- "default_template": false,
- "id": "TEMP-6HC14139B8663074X",
- "description": "Template description 1",
- "name": "Hours",
- "template_info": {
- "invoicer": {
- "name": {
- "given_name": "David",
- "surname": "Larusso"
}, - "email_address": "[email protected]"
}, - "detail": {
- "currency_code": "USD"
}
}, - "standard_template": false,
- "links": [
- {
- "rel": "self",
- "method": "GET"
}
]
}
]
}Creates an invoice template. You can use details from this template to create an invoice. You can create up to 50 templates.
Note: Every merchant starts with three PayPal system templates that are optimized for the unit type billed. The template includesQuantity,Hours, andAmount.
A successful request returns the HTTP 201 Created status code. A JSON response body that shows template details is returned if you set prefer=return=representation.
{- "description": "Template description",
- "default_template": true,
- "template_info": {
- "configuration": {
- "tax_calculated_after_discount": true,
- "tax_inclusive": false,
- "allow_tip": true,
- "partial_payment": {
- "allow_partial_payment": true,
- "minimum_amount_due": {
- "currency_code": "USD",
- "value": "20.00"
}
}
}, - "detail": {
- "reference": "deal-ref",
- "note": "Thank you for your business.",
- "currency_code": "USD",
- "terms_and_conditions": "No refunds after 30 days.",
- "memo": "This is a long contract",
- "attachments": [
- {
- "id": "Screen Shot 2018-11-23 at 16.45.01.png",
}
], - "payment_term": {
- "term_type": "NET_10"
}, - "service_agreement": "This agreement covers the terms of the provided consulting services.",
- "tip_presets": [
- {
- "percent": "10"
}, - {
- "percent": "15"
}, - {
- "percent": "20"
}
]
}, - "invoicer": {
- "name": {
- "given_name": "David",
- "surname": "Larusso"
}, - "address": {
- "address_line_1": "1234 First Street",
- "address_line_2": "337673 Hillside Court",
- "admin_area_2": "Anytown",
- "admin_area_1": "CA",
- "postal_code": "98765",
- "country_code": "US"
}, - "phones": [
- {
- "country_code": "001",
- "national_number": "4085551234",
- "phone_type": "MOBILE"
}
], - "website": "www.test.com",
- "tax_id": "ABcNkWSfb5ICTt73nD3QON1fnnpgNKBy-Jb5SeuGj185MNNw6g",
- "additional_notes": "2-4"
}, - "primary_recipients": [
- {
- "billing_info": {
- "name": {
- "given_name": "Stephanie",
- "surname": "Meyers"
}, - "address": {
- "address_line_1": "1234 Main Street",
- "admin_area_2": "Anytown",
- "admin_area_1": "CA",
- "postal_code": "98765",
- "country_code": "US"
}, - "phones": [
- {
- "country_code": "001",
- "national_number": "4884551234",
- "phone_type": "MOBILE"
}
], - "additional_info": "add-info"
}, - "shipping_info": {
- "name": {
- "given_name": "Stephanie",
- "surname": "Meyers"
}, - "address": {
- "address_line_1": "1234 Main Street",
- "admin_area_2": "Anytown",
- "admin_area_1": "CA",
- "postal_code": "98765",
- "country_code": "US"
}
}
}
], - "items": [
- {
- "name": "Yoga Mat",
- "description": "new watch",
- "quantity": "1",
- "unit_amount": {
- "currency_code": "USD",
- "value": "50.00"
}, - "tax": {
- "name": "Sales Tax",
- "percent": "7.25"
}, - "discount": {
- "percent": "5"
}, - "unit_of_measure": "QUANTITY"
}, - {
- "name": "Yoga T Shirt",
- "quantity": "1",
- "unit_amount": {
- "currency_code": "USD",
- "value": "10.00"
}, - "tax": {
- "name": "Sales Tax",
- "percent": "7.25",
- "tax_note": "Reduced tax rate"
}, - "discount": {
- "amount": {
- "currency_code": "USD",
- "value": "5.00"
}
}, - "unit_of_measure": "QUANTITY"
}
], - "amount": {
- "currency_code": "USD",
- "value": "74.21",
- "breakdown": {
- "custom": {
- "label": "Packing Charges",
- "amount": {
- "currency_code": "USD",
- "value": "10.00"
}
}, - "shipping": {
- "amount": {
- "currency_code": "USD",
- "value": "10.00"
}, - "tax": {
- "name": "Sales Tax",
- "percent": "7.25"
}
}, - "discount": {
- "invoice_discount": {
- "percent": "5"
}
}
}
}
}, - "settings": {
- "template_item_settings": [
- {
- "field_name": "items.date",
- "display_preference": {
- "hidden": true
}
}, - {
- "field_name": "items.discount",
- "display_preference": {
- "hidden": false
}
}, - {
- "field_name": "items.tax",
- "display_preference": {
- "hidden": false
}
}, - {
- "field_name": "items.description",
- "display_preference": {
- "hidden": false
}
}, - {
- "field_name": "items.quantity",
- "display_preference": {
- "hidden": true
}
}
], - "template_subtotal_settings": [
- {
- "field_name": "custom",
- "display_preference": {
- "hidden": false
}
}, - {
- "field_name": "discount",
- "display_preference": {
- "hidden": false
}
}, - {
- "field_name": "shipping",
- "display_preference": {
- "hidden": false
}
}
], - "template_invoice_details_settings": [
- {
- "field_name": "ORDER_DETAILS",
- "display_preference": {
- "hidden": false
}
}, - {
- "field_name": "PROJECT_DETAILS",
- "display_preference": {
- "hidden": true
}
}, - {
- "field_name": "SERVICE_DETAILS",
- "display_preference": {
- "hidden": true
}
}
], - "template_policy_and_agreement_settings": [
- {
- "field_name": "CANCELLATION_POLICY",
- "display_preference": {
- "hidden": true
}
}, - {
- "field_name": "PAYMENT_TERMS",
- "display_preference": {
- "hidden": true
}
}, - {
- "field_name": "RETURN_POLICY",
- "display_preference": {
- "hidden": true
}
}, - {
- "field_name": "SERVICE_AGREEMENT",
- "display_preference": {
- "hidden": true
}
}, - {
- "field_name": "TERMS_AND_CONDITIONS",
- "display_preference": {
- "hidden": false
}
}
], - "template_additional_settings": [
- {
- "field_name": "REFERENCE",
- "display_preference": {
- "hidden": false
}
}, - {
- "field_name": "ATTACHMENT",
- "display_preference": {
- "hidden": false
}
}, - {
- "field_name": "MEMO",
- "display_preference": {
- "hidden": false
}
}
]
}, - "unit_of_measure": "QUANTITY",
- "standard_template": false
}{- "id": "TEMP-19V05281TU309413B",
- "name": "reference-temp",
- "description": "Template description",
- "default_template": true,
- "template_info": {
- "configuration": {
- "tax_calculated_after_discount": true,
- "tax_inclusive": false,
- "allow_tip": true,
- "partial_payment": {
- "allow_partial_payment": true,
- "minimum_amount_due": {
- "currency_code": "USD",
- "value": "20.00"
}
}
}, - "detail": {
- "reference": "deal-ref",
- "note": "Thank you for your business.",
- "currency_code": "USD",
- "terms_and_conditions": "No refunds after 30 days.",
- "memo": "This is a long contract",
- "attachments": [
- {
- "id": "Screen Shot 2018-11-23 at 16.45.01.png",
}
], - "payment_term": {
- "term_type": "NET_10"
}, - "tip_presets": [
- {
- "percent": "10"
}, - {
- "percent": "15"
}, - {
- "percent": "20"
}
], - "metadata": {
- "create_time": "2018-12-03T03:38:46z"
}
}, - "invoicer": {
- "name": {
- "given_name": "David",
- "surname": "Larusso"
}, - "address": {
- "address_line_1": "1234 First Street",
- "address_line_2": "337673 Hillside Court",
- "admin_area_2": "Anytown",
- "admin_area_1": "CA",
- "postal_code": "98765",
- "country_code": "US"
}, - "phones": [
- {
- "country_code": "001",
- "national_number": "4085551234",
- "phone_type": "MOBILE"
}
], - "website": "www.test.com",
- "tax_id": "ABcNkWSfb5ICTt73nD3QON1fnnpgNKBy-Jb5SeuGj185MNNw6g",
- "additional_notes": "2-4"
}, - "primary_recipients": [
- {
- "billing_info": {
- "name": {
- "given_name": "Stephanie",
- "surname": "Meyers"
}, - "address": {
- "address_line_1": "1234 Main Street",
- "admin_area_2": "Anytown",
- "admin_area_1": "CA",
- "postal_code": "98765",
- "country_code": "US"
}, - "phones": [
- {
- "country_code": "001",
- "national_number": "4884551234",
- "phone_type": "MOBILE"
}
], - "additional_info": "add-info"
}, - "shipping_info": {
- "name": {
- "given_name": "Stephanie",
- "surname": "Meyers"
}, - "address": {
- "address_line_1": "1234 Main Street",
- "admin_area_2": "Anytown",
- "admin_area_1": "CA",
- "postal_code": "98765",
- "country_code": "US"
}
}
}
], - "items": [
- {
- "id": "ITEM-9R873787D1610780X",
- "name": "Yoga Mat",
- "description": "new watch",
- "quantity": "1",
- "unit_amount": {
- "currency_code": "USD",
- "value": "50.00"
}, - "tax": {
- "id": "TAX-9R873787D1610780X",
- "name": "Sales Tax",
- "percent": "7.25",
- "amount": {
- "currency_code": "USD",
- "value": "3.27"
}
}, - "discount": {
- "percent": "5",
- "amount": {
- "currency_code": "USD",
- "value": "2.5"
}
}, - "unit_of_measure": "QUANTITY"
}, - {
- "id": "ITEM-4XD34145EH4061035",
- "name": "Yoga T Shirt",
- "quantity": "1",
- "unit_amount": {
- "currency_code": "USD",
- "value": "10.00"
}, - "tax": {
- "id": "TAX-4XD34145EH4061035",
- "name": "Sales Tax",
- "percent": "7.25",
- "amount": {
- "currency_code": "USD",
- "value": "0.34"
}
}, - "discount": {
- "amount": {
- "currency_code": "USD",
- "value": "5.00"
}
}, - "unit_of_measure": "QUANTITY"
}
], - "amount": {
- "currency_code": "USD",
- "value": "74.21",
- "breakdown": {
- "item_total": {
- "currency_code": "USD",
- "value": "60.00"
}, - "custom": {
- "label": "Packing Charges",
- "amount": {
- "currency_code": "USD",
- "value": "10.00"
}
}, - "shipping": {
- "amount": {
- "currency_code": "USD",
- "value": "10.00"
}, - "tax": {
- "name": "Sales Tax",
- "percent": "7.25",
- "amount": {
- "currency_code": "USD",
- "value": "0.73"
}
}
}, - "discount": {
- "item_discount": {
- "currency_code": "USD",
- "value": "-7.50"
}, - "invoice_discount": {
- "percent": "5",
- "amount": {
- "currency_code": "USD",
- "value": "-2.63"
}
}
}, - "tax_total": {
- "currency_code": "USD",
- "value": "4.34"
}
}
}
}, - "settings": {
- "template_item_settings": [
- {
- "field_name": "items.date",
- "display_preference": {
- "hidden": true
}
}, - {
- "field_name": "items.discount",
- "display_preference": {
- "hidden": false
}
}, - {
- "field_name": "items.tax",
- "display_preference": {
- "hidden": false
}
}, - {
- "field_name": "items.description",
- "display_preference": {
- "hidden": false
}
}, - {
- "field_name": "items.quantity",
- "display_preference": {
- "hidden": true
}
}
], - "template_subtotal_settings": [
- {
- "field_name": "custom",
- "display_preference": {
- "hidden": false
}
}, - {
- "field_name": "discount",
- "display_preference": {
- "hidden": false
}
}, - {
- "field_name": "shipping",
- "display_preference": {
- "hidden": false
}
}
], - "template_invoice_details_settings": [
- {
- "field_name": "ORDER_DETAILS",
- "display_preference": {
- "hidden": false
}
}, - {
- "field_name": "PROJECT_DETAILS",
- "display_preference": {
- "hidden": true
}
}, - {
- "field_name": "SERVICE_DETAILS",
- "display_preference": {
- "hidden": true
}
}
], - "template_policy_and_agreement_settings": [
- {
- "field_name": "CANCELLATION_POLICY",
- "display_preference": {
- "hidden": true
}
}, - {
- "field_name": "PAYMENT_TERMS",
- "display_preference": {
- "hidden": true
}
}, - {
- "field_name": "RETURN_POLICY",
- "display_preference": {
- "hidden": true
}
}, - {
- "field_name": "SERVICE_AGREEMENT",
- "display_preference": {
- "hidden": true
}
}, - {
- "field_name": "TERMS_AND_CONDITIONS",
- "display_preference": {
- "hidden": false
}
}
], - "template_additional_settings": [
- {
- "field_name": "REFERENCE",
- "display_preference": {
- "hidden": false
}
}, - {
- "field_name": "ATTACHMENT",
- "display_preference": {
- "hidden": false
}
}, - {
- "field_name": "MEMO",
- "display_preference": {
- "hidden": false
}
}
]
}, - "unit_of_measure": "QUANTITY",
- "standard_template": false,
- "links": [
- {
- "rel": "self",
- "method": "GET"
}, - {
- "rel": "delete",
- "method": "DELETE"
}, - {
- "rel": "replace",
- "method": "PUT"
}
]
}Shows details for a template, by ID.
A successful request returns the HTTP 200 OK status code and a JSON response body that shows template details.
curl -v -X GET https://api-m.sandbox.paypal.com/v2/invoicing/templates/@default \ -H 'Authorization: Bearer zekwhYgsYYI0zDg0p_Nf5v78VelCfYR0' \ -H 'Content-Type: application/json'
{- "id": "TEMP-19V05281TU309413B",
- "name": "reference-temp",
- "description": "Default Template description",
- "default_template": true,
- "template_info": {
- "configuration": {
- "tax_calculated_after_discount": true,
- "tax_inclusive": false,
- "allow_tip": true,
- "partial_payment": {
- "allow_partial_payment": true,
- "minimum_amount_due": {
- "currency_code": "USD",
- "value": "20.00"
}
}
}, - "detail": {
- "reference": "deal-ref",
- "currency_code": "USD",
- "note": "Thank you for your business.",
- "terms_and_conditions": "No refunds after 30 days.",
- "memo": "This is a long contract",
- "attachments": [
- {
- "id": "Screen Shot 2018-11-23 at 16.45.01.png",
}
], - "payment_term": {
- "term_type": "NET_10"
}, - "metadata": {
- "create_time": "2018-12-03T03:38:46z"
}
}, - "invoicer": {
- "name": {
- "given_name": "David",
- "surname": "Larusso"
}, - "address": {
- "address_line_1": "1234 First Street",
- "address_line_2": "337673 Hillside Court",
- "admin_area_2": "Anytown",
- "admin_area_1": "CA",
- "postal_code": "98765",
- "country_code": "US"
}, - "phones": [
- {
- "country_code": "001",
- "national_number": "4085551234",
- "phone_type": "MOBILE"
}
], - "website": "www.test.com",
- "tax_id": "ABcNkWSfb5ICTt73nD3QON1fnnpgNKBy-Jb5SeuGj185MNNw6g",
- "additional_notes": "2-4"
}, - "primary_recipients": [
- {
- "billing_info": {
- "name": {
- "given_name": "Stephanie",
- "surname": "Meyers"
}, - "address": {
- "address_line_1": "1234 Main Street",
- "admin_area_2": "Anytown",
- "admin_area_1": "CA",
- "postal_code": "98765",
- "country_code": "US"
}, - "phones": [
- {
- "country_code": "001",
- "national_number": "4884551234",
- "phone_type": "MOBILE"
}
], - "additional_info": "add-info"
}, - "shipping_info": {
- "name": {
- "given_name": "Stephanie",
- "surname": "Meyers"
}, - "address": {
- "address_line_1": "1234 Main Street",
- "admin_area_2": "Anytown",
- "admin_area_1": "CA",
- "postal_code": "98765",
- "country_code": "US"
}
}
}
], - "items": [
- {
- "id": "ITEM-9R873787D1610780X",
- "name": "Yoga Mat",
- "description": "new watch",
- "quantity": "1",
- "unit_amount": {
- "currency_code": "USD",
- "value": "50.00"
}, - "tax": {
- "id": "TAX-9R873787D1610780X",
- "name": "Sales Tax",
- "percent": "7.25",
- "tax_note": "Reduced tax rate",
- "amount": {
- "currency_code": "USD",
- "value": "3.27"
}
}, - "discount": {
- "percent": "5",
- "amount": {
- "currency_code": "USD",
- "value": "2.5"
}
}, - "unit_of_measure": "QUANTITY"
}, - {
- "id": "ITEM-4XD34145EH4061035",
- "name": "Yoga T Shirt",
- "quantity": "1",
- "unit_amount": {
- "currency_code": "USD",
- "value": "10.00"
}, - "tax": {
- "id": "TAX-4XD34145EH4061035",
- "name": "Sales Tax",
- "percent": "7.25",
- "amount": {
- "currency_code": "USD",
- "value": "0.34"
}
}, - "discount": {
- "amount": {
- "currency_code": "USD",
- "value": "5.00"
}
}, - "unit_of_measure": "QUANTITY"
}
], - "amount": {
- "currency_code": "USD",
- "value": "74.21",
- "breakdown": {
- "item_total": {
- "currency_code": "USD",
- "value": "60.00"
}, - "custom": {
- "label": "Packing Charges",
- "amount": {
- "currency_code": "USD",
- "value": "10.00"
}
}, - "shipping": {
- "amount": {
- "currency_code": "USD",
- "value": "10.00"
}, - "tax": {
- "name": "Sales Tax",
- "percent": "7.25",
- "amount": {
- "currency_code": "USD",
- "value": "0.73"
}
}
}, - "discount": {
- "item_discount": {
- "currency_code": "USD",
- "value": "-7.50"
}, - "invoice_discount": {
- "percent": "5",
- "amount": {
- "currency_code": "USD",
- "value": "-2.63"
}
}
}, - "tax_total": {
- "currency_code": "USD",
- "value": "4.34"
}
}
}
}, - "settings": {
- "template_item_settings": [
- {
- "field_name": "items.date",
- "display_preference": {
- "hidden": true
}
}, - {
- "field_name": "items.discount",
- "display_preference": {
- "hidden": false
}
}, - {
- "field_name": "items.tax",
- "display_preference": {
- "hidden": false
}
}, - {
- "field_name": "items.description",
- "display_preference": {
- "hidden": false
}
}, - {
- "field_name": "items.quantity",
- "display_preference": {
- "hidden": true
}
}
], - "template_subtotal_settings": [
- {
- "field_name": "custom",
- "display_preference": {
- "hidden": false
}
}, - {
- "field_name": "discount",
- "display_preference": {
- "hidden": false
}
}, - {
- "field_name": "shipping",
- "display_preference": {
- "hidden": false
}
}
]
}, - "unit_of_measure": "QUANTITY",
- "standard_template": false,
- "links": [
- {
- "rel": "self",
- "method": "GET"
}, - {
- "rel": "delete",
- "method": "DELETE"
}, - {
- "rel": "replace",
- "method": "PUT"
}
]
}Fully updates a template, by ID. In the JSON request body, include a complete template object. This call does not support partial updates.
A representation of changes to make in the template.
| name | string [ 1 .. 500 ] characters ^[\S\s]*$ The template name. Note: The template name must be unique. | ||||||||
| description | string [ 1 .. 160 ] characters ^[\S\s]*$ The detailed description of the template. | ||||||||
| default_template | boolean Indicates whether this template is the default template. A invoicer can have one default template. | ||||||||
object (template_info) The template details. Includes invoicer business information, invoice recipients, items, and configuration. | |||||||||
object (template_settings) The template settings. Describes which fields to show or hide when you create an invoice. | |||||||||
| unit_of_measure | string (unit_of_measure) [ 0 .. 2147483647 ] characters ^[\S\s]*$ The unit of measure for the invoiced item.
|
A successful request returns the HTTP 200 OK status code. A JSON response body that shows template details is returned if you set prefer=return=representation.
{- "description": "Template description updated",
- "default_template": true,
- "template_info": {
- "configuration": {
- "tax_calculated_after_discount": true,
- "tax_inclusive": false,
- "allow_tip": true,
- "partial_payment": {
- "allow_partial_payment": true,
- "minimum_amount_due": {
- "currency_code": "USD",
- "value": "20.00"
}
}
}, - "detail": {
- "reference": "deal-reference-value",
- "note": "Thank you for your business.",
- "currency_code": "USD",
- "terms_and_conditions": "No refunds after 30 days.",
- "memo": "This is a long contract",
- "attachments": [
- {
- "id": "Screen Shot 2018-11-23 at 16.45.01.png",
}
], - "payment_term": {
- "term_type": "NET_10"
}, - "service_agreement": "This agreement covers the terms of the provided consulting services.",
- "tip_presets": [
- {
- "percent": "10"
}, - {
- "percent": "15"
}, - {
- "percent": "20"
}
]
}, - "invoicer": {
- "name": {
- "given_name": "David",
- "surname": "Larusso"
}, - "address": {
- "address_line_1": "1234 First Street",
- "address_line_2": "337673 Hillside Court",
- "admin_area_2": "Anytown",
- "admin_area_1": "CA",
- "postal_code": "98765",
- "country_code": "US"
}, - "phones": [
- {
- "country_code": "001",
- "national_number": "4085551234",
- "phone_type": "MOBILE"
}
], - "website": "www.test.com",
- "tax_id": "ABcNkWSfb5ICTt73nD3QON1fnnpgNKBy-Jb5SeuGj185MNNw6g",
- "additional_notes": "2-4"
}, - "primary_recipients": [
- {
- "billing_info": {
- "name": {
- "given_name": "Stephanie",
- "surname": "Meyers"
}, - "address": {
- "address_line_1": "1234 Main Street",
- "admin_area_2": "Anytown",
- "admin_area_1": "CA",
- "postal_code": "98765",
- "country_code": "US"
}, - "phones": [
- {
- "country_code": "001",
- "national_number": "4884551234",
- "phone_type": "MOBILE"
}
], - "additional_info": "add-info"
}, - "shipping_info": {
- "name": {
- "given_name": "Stephanie",
- "surname": "Meyers"
}, - "address": {
- "address_line_1": "1234 Main Street",
- "admin_area_2": "Anytown",
- "admin_area_1": "CA",
- "postal_code": "98765",
- "country_code": "US"
}
}
}
], - "items": [
- {
- "name": "Yoga Mat",
- "description": "new watch",
- "quantity": "1",
- "unit_amount": {
- "currency_code": "USD",
- "value": "50.00"
}, - "tax": {
- "name": "Sales Tax",
- "percent": "7.25",
- "tax_note": "Reduced tax rate"
}, - "discount": {
- "percent": "5"
}, - "unit_of_measure": "QUANTITY"
}, - {
- "name": "Yoga T Shirt",
- "quantity": "1",
- "unit_amount": {
- "currency_code": "USD",
- "value": "10.00"
}, - "tax": {
- "name": "Sales Tax",
- "percent": "7.25"
}, - "discount": {
- "amount": {
- "currency_code": "USD",
- "value": "5.00"
}
}, - "unit_of_measure": "QUANTITY"
}
], - "amount": {
- "currency_code": "USD",
- "value": "74.21",
- "breakdown": {
- "custom": {
- "label": "Packing Charges",
- "amount": {
- "currency_code": "USD",
- "value": "10.00"
}
}, - "shipping": {
- "amount": {
- "currency_code": "USD",
- "value": "10.00"
}, - "tax": {
- "name": "Sales Tax",
- "percent": "7.25"
}
}, - "discount": {
- "invoice_discount": {
- "percent": "5"
}
}
}
}
}, - "settings": {
- "template_item_settings": [
- {
- "field_name": "items.date",
- "display_preference": {
- "hidden": true
}
}, - {
- "field_name": "items.discount",
- "display_preference": {
- "hidden": true
}
}, - {
- "field_name": "items.tax",
- "display_preference": {
- "hidden": false
}
}, - {
- "field_name": "items.description",
- "display_preference": {
- "hidden": false
}
}, - {
- "field_name": "items.quantity",
- "display_preference": {
- "hidden": true
}
}
], - "template_subtotal_settings": [
- {
- "field_name": "custom",
- "display_preference": {
- "hidden": false
}
}, - {
- "field_name": "discount",
- "display_preference": {
- "hidden": false
}
}, - {
- "field_name": "shipping",
- "display_preference": {
- "hidden": false
}
}
], - "template_invoice_details_settings": [
- {
- "field_name": "ORDER_DETAILS",
- "display_preference": {
- "hidden": false
}
}, - {
- "field_name": "PROJECT_DETAILS",
- "display_preference": {
- "hidden": true
}
}, - {
- "field_name": "SERVICE_DETAILS",
- "display_preference": {
- "hidden": true
}
}
], - "template_policy_and_agreement_settings": [
- {
- "field_name": "CANCELLATION_POLICY",
- "display_preference": {
- "hidden": true
}
}, - {
- "field_name": "PAYMENT_TERMS",
- "display_preference": {
- "hidden": true
}
}, - {
- "field_name": "RETURN_POLICY",
- "display_preference": {
- "hidden": true
}
}, - {
- "field_name": "SERVICE_AGREEMENT",
- "display_preference": {
- "hidden": true
}
}, - {
- "field_name": "TERMS_AND_CONDITIONS",
- "display_preference": {
- "hidden": false
}
}
], - "template_additional_settings": [
- {
- "field_name": "REFERENCE",
- "display_preference": {
- "hidden": false
}
}, - {
- "field_name": "ATTACHMENT",
- "display_preference": {
- "hidden": false
}
}, - {
- "field_name": "MEMO",
- "display_preference": {
- "hidden": false
}
}
]
}, - "unit_of_measure": "QUANTITY",
- "standard_template": false
}{- "id": "TEMP-19V05281TU309413B",
- "name": "reference-temp",
- "description": "Template description updated",
- "default_template": true,
- "template_info": {
- "configuration": {
- "tax_calculated_after_discount": true,
- "tax_inclusive": false,
- "allow_tip": true,
- "partial_payment": {
- "allow_partial_payment": true,
- "minimum_amount_due": {
- "currency_code": "USD",
- "value": "20.00"
}
}
}, - "detail": {
- "reference": "deal-reference-value",
- "currency_code": "USD",
- "note": "Thank you for your business.",
- "terms_and_conditions": "No refunds after 30 days.",
- "memo": "This is a long contract",
- "attachments": [
- {
- "id": "Screen Shot 2018-11-23 at 16.45.01.png",
}
], - "payment_term": {
- "term_type": "NET_10"
}, - "service_agreement": "This agreement covers the terms of the provided consulting services.",
- "tip_presets": [
- {
- "percent": "10"
}, - {
- "percent": "15"
}, - {
- "percent": "20"
}
], - "metadata": {
- "create_time": "2018-12-03T03:38:46z"
}
}, - "invoicer": {
- "name": {
- "given_name": "David",
- "surname": "Larusso"
}, - "address": {
- "address_line_1": "1234 First Street",
- "address_line_2": "337673 Hillside Court",
- "admin_area_2": "Anytown",
- "admin_area_1": "CA",
- "postal_code": "98765",
- "country_code": "US"
}, - "phones": [
- {
- "country_code": "001",
- "national_number": "4085551234",
- "phone_type": "MOBILE"
}
], - "website": "www.test.com",
- "tax_id": "ABcNkWSfb5ICTt73nD3QON1fnnpgNKBy-Jb5SeuGj185MNNw6g",
- "additional_notes": "2-4"
}, - "primary_recipients": [
- {
- "billing_info": {
- "name": {
- "given_name": "Stephanie",
- "surname": "Meyers"
}, - "address": {
- "address_line_1": "1234 Main Street",
- "admin_area_2": "Anytown",
- "admin_area_1": "CA",
- "postal_code": "98765",
- "country_code": "US"
}, - "phones": [
- {
- "country_code": "001",
- "national_number": "4884551234",
- "phone_type": "MOBILE"
}
], - "additional_info": "add-info"
}, - "shipping_info": {
- "name": {
- "given_name": "Stephanie",
- "surname": "Meyers"
}, - "address": {
- "address_line_1": "1234 Main Street",
- "admin_area_2": "Anytown",
- "admin_area_1": "CA",
- "postal_code": "98765",
- "country_code": "US"
}
}
}
], - "items": [
- {
- "id": "ITEM-9R873787D1610780X",
- "name": "Yoga Mat",
- "description": "new watch",
- "quantity": "1",
- "unit_amount": {
- "currency_code": "USD",
- "value": "50.00"
}, - "tax": {
- "id": "TAX-9R873787D1610780X",
- "name": "Sales Tax",
- "percent": "7.25",
- "amount": {
- "currency_code": "USD",
- "value": "3.27"
}
}, - "discount": {
- "percent": "5",
- "amount": {
- "currency_code": "USD",
- "value": "2.5"
}
}, - "unit_of_measure": "QUANTITY"
}, - {
- "id": "ITEM-4XD34145EH4061035",
- "name": "Yoga T Shirt",
- "quantity": "1",
- "unit_amount": {
- "currency_code": "USD",
- "value": "10.00"
}, - "tax": {
- "id": "TAX-4XD34145EH4061035",
- "name": "Sales Tax",
- "percent": "7.25",
- "amount": {
- "currency_code": "USD",
- "value": "0.34"
}
}, - "discount": {
- "amount": {
- "currency_code": "USD",
- "value": "5.00"
}
}, - "unit_of_measure": "QUANTITY"
}
], - "amount": {
- "currency_code": "USD",
- "value": "74.21",
- "breakdown": {
- "item_total": {
- "currency_code": "USD",
- "value": "60.00"
}, - "custom": {
- "label": "Packing Charges",
- "amount": {
- "currency_code": "USD",
- "value": "10.00"
}
}, - "shipping": {
- "amount": {
- "currency_code": "USD",
- "value": "10.00"
}, - "tax": {
- "name": "Sales Tax",
- "percent": "7.25",
- "amount": {
- "currency_code": "USD",
- "value": "0.73"
}
}
}, - "discount": {
- "item_discount": {
- "currency_code": "USD",
- "value": "-7.50"
}, - "invoice_discount": {
- "percent": "5",
- "amount": {
- "currency_code": "USD",
- "value": "-2.63"
}
}
}, - "tax_total": {
- "currency_code": "USD",
- "value": "4.34"
}
}
}
}, - "settings": {
- "template_invoice_details_settings": [
- {
- "field_name": "ORDER_DETAILS",
- "display_preference": {
- "hidden": false
}
}, - {
- "field_name": "PROJECT_DETAILS",
- "display_preference": {
- "hidden": true
}
}, - {
- "field_name": "SERVICE_DETAILS",
- "display_preference": {
- "hidden": true
}
}
], - "template_policy_and_agreement_settings": [
- {
- "field_name": "CANCELLATION_POLICY",
- "display_preference": {
- "hidden": true
}
}, - {
- "field_name": "PAYMENT_TERMS",
- "display_preference": {
- "hidden": true
}
}, - {
- "field_name": "RETURN_POLICY",
- "display_preference": {
- "hidden": true
}
}, - {
- "field_name": "SERVICE_AGREEMENT",
- "display_preference": {
- "hidden": true
}
}, - {
- "field_name": "TERMS_AND_CONDITIONS",
- "display_preference": {
- "hidden": false
}
}
], - "template_item_settings": [
- {
- "field_name": "items.date",
- "display_preference": {
- "hidden": true
}
}, - {
- "field_name": "items.discount",
- "display_preference": {
- "hidden": true
}
}, - {
- "field_name": "items.tax",
- "display_preference": {
- "hidden": false
}
}, - {
- "field_name": "items.description",
- "display_preference": {
- "hidden": false
}
}, - {
- "field_name": "items.quantity",
- "display_preference": {
- "hidden": true
}
}
], - "template_subtotal_settings": [
- {
- "field_name": "custom",
- "display_preference": {
- "hidden": false
}
}, - {
- "field_name": "discount",
- "display_preference": {
- "hidden": false
}
}, - {
- "field_name": "shipping",
- "display_preference": {
- "hidden": false
}
}
], - "template_additional_settings": [
- {
- "field_name": "REFERENCE",
- "display_preference": {
- "hidden": false
}
}, - {
- "field_name": "ATTACHMENT",
- "display_preference": {
- "hidden": false
}
}, - {
- "field_name": "MEMO",
- "display_preference": {
- "hidden": false
}
}
]
}, - "unit_of_measure": "QUANTITY",
- "standard_template": false,
- "links": [
- {
- "rel": "self",
- "method": "GET"
}, - {
- "rel": "delete",
- "method": "DELETE"
}, - {
- "rel": "replace",
- "method": "PUT"
}
]
}Deletes a template, by ID.
A successful request returns the HTTP 204 No Content status code with no JSON response body.
curl -v -X DELETE https://api-m.sandbox.paypal.com/v2/invoicing/templates/TEMP-19V05281TU309413B \ -H 'Authorization: Bearer zekwhYgsYYI0zDg0p_Nf5v78VelCfYR0'
{ }Lists connections to accounting platforms per merchant.
A successful request returns the HTTP 200 OK status code and a JSON response body.
curl -v -X GET https://api-m.sandbox.paypal.com/v2/invoicing/accounting-sync/merchants/connections \ -H 'Authorization: Bearer zekwhYgsYYI0zDg0p_Nf5v78VelCfYR0' \ -H 'Content-Type: application/json'
{- "connections": [
- {
- "platform_name": "QB",
- "last_sync_time": "2025-01-09T12:30:45Z",
- "last_sync_status": "SUCCESS"
}, - {
- "platform_name": "Xero",
- "last_sync_time": "2025-01-08T15:22:10Z",
- "last_sync_status": "FAILED"
}
]
}Lists connections to accounting platforms per invoice.
A successful request returns the HTTP 200 OK status code and a JSON response body.
curl -v -X GET https://api-m.sandbox.paypal.com/v2/invoicing/accounting-sync/invoices/4779930204621ABC201/connections \ -H 'Authorization: Bearer zekwhYgsYYI0zDg0p_Nf5v78VelCfYR0' \ -H 'Content-Type: application/json'
{- "connections": [
- {
- "platform_name": "QBO",
- "last_sync_timestamp": "2025-01-09T12:30:45Z",
- "last_sync_status": "SUCCESS"
}, - {
- "platform_name": "Xero",
- "last_sync_timestamp": "2025-01-08T15:22:10Z",
- "last_sync_status": "FAILED"
}
]
}The discount. Can be an item- or invoice-level discount, or both. Can be applied as a percent or amount. If you provide both amount and percent, amount takes precedent.
object (discount) The discount as a percent or amount at invoice level. The invoice discount amount is subtracted from the item total. | |
object (Money) The currency and amount for a financial transaction, such as a balance or payment due. |
{- "invoice_discount": {
- "percent": "string",
- "amount": {
- "currency_code": "str",
- "value": "string"
}
}, - "item_discount": {
- "currency_code": "str",
- "value": "string"
}
}A single aging bucket containing invoice counts and totals for a specific time range.
| from | integer [ 0 .. 1000 ] Inclusive lower bound in days; null when not applicable (e.g., NO_DUE). | ||||||||||||
| to | integer [ 0 .. 1000 ] Inclusive upper bound in days; null if open-ended (e.g., NET_90+). | ||||||||||||
| count required | integer [ 0 .. 2147483647 ] Number of invoices in this bucket. | ||||||||||||
| label required | string (aging_bucket_label) [ 1 .. 100 ] characters ^[A-Z0-9_+]+$ Bucket label representing the aging time range.
| ||||||||||||
required | object (Money) Total amount for invoices in this bucket, in the row currency. |
{- "from": 1000,
- "to": 1000,
- "count": 2147483647,
- "label": "NO_DUE",
- "total": {
- "currency_code": "str",
- "value": "string"
}
}Aging bucket label enum representing different time ranges for invoice aging analysis.
Aging bucket label enum representing different time ranges for invoice aging analysis.
| Enum Value | Description |
|---|---|
| NO_DUE | Invoices with no due date or not yet due. |
| NET_30 | Invoices due within 0-30 days. |
| NET_30_60 | Invoices due within 31-60 days. |
| NET_60_90 | Invoices due within 61-90 days. |
| NET_90 | Invoices due more than 90 days. |
"NO_DUE"A single result item in the aging report representing aging buckets for a specific currency-status combination.
required | Array of objects (aging_bucket) [ 1 .. 20 ] items Aging buckets with counts and totals for this currency–status pair. | ||||||
| currency required | string <ppaas_common_currency_code_v2> (currency_code) = 3 characters Three-letter ISO currency code for this summary item. | ||||||
| status required | string (invoice_statuses_for_aggregation) [ 1 .. 100 ] characters ^[A-Z0-9_]+$ Invoice status for this summary item.
|
{- "buckets": [
- {
- "from": 1000,
- "to": 1000,
- "count": 2147483647,
- "label": "NO_DUE",
- "total": {
- "currency_code": "str",
- "value": "string"
}
}
], - "currency": "str",
- "status": "OUTSTANDING"
}The amount range.
required | object (Money) The currency and amount for a financial transaction, such as a balance or payment due. |
required | object (Money) The currency and amount for a financial transaction, such as a balance or payment due. |
{- "lower_amount": {
- "currency_code": "str",
- "value": "string"
}, - "upper_amount": {
- "currency_code": "str",
- "value": "string"
}
}The invoice amount summary of item total, discount, tax total, and shipping.
| currency_code | string <ppaas_common_currency_code_v2> (currency_code) = 3 characters The three-character ISO-4217 currency code that identifies the currency. |
| value | string [ 0 .. 32 ] characters ^((-?[0-9]+)|(-?([0-9]+)?[.][0-9]+))$ The value, which might be:
|
object (amount_with_breakdown) The breakdown of the amount. Includes total item amount, total tax amount, custom amount, and shipping and discounts, if any. |
{- "currency_code": "str",
- "value": "string",
- "breakdown": {
- "item_total": {
- "currency_code": "str",
- "value": "string"
}, - "discount": {
- "invoice_discount": {
- "percent": "string",
- "amount": {
- "currency_code": "str",
- "value": "string"
}
}, - "item_discount": {
- "currency_code": "str",
- "value": "string"
}
}, - "tax_total": {
- "currency_code": "str",
- "value": "string"
}, - "shipping": {
- "amount": {
- "currency_code": "str",
- "value": "string"
}, - "tax": {
- "name": "string",
- "tax_note": "string",
- "percent": "string",
- "amount": {
- "currency_code": "str",
- "value": "string"
}
}
}, - "custom": {
- "label": "string",
- "amount": {
- "currency_code": "str",
- "value": "string"
}
}
}
}The breakdown of the amount. Includes total item amount, total tax amount, custom amount, and shipping and discounts, if any.
object (Money) The currency and amount for a financial transaction, such as a balance or payment due. | |
object (aggregated_discount) The discount. Can be an item- or invoice-level discount, or both. Can be applied as a percent or amount. If you provide both amount and percent, amount takes precedent. | |
object (Money) The currency and amount for a financial transaction, such as a balance or payment due. | |
object (shipping_cost) The shipping fee for all items. Includes tax on shipping. | |
object (custom_amount) The custom amount to apply to an invoice. If you include a label, you must include a custom amount. |
{- "item_total": {
- "currency_code": "str",
- "value": "string"
}, - "discount": {
- "invoice_discount": {
- "percent": "string",
- "amount": {
- "currency_code": "str",
- "value": "string"
}
}, - "item_discount": {
- "currency_code": "str",
- "value": "string"
}
}, - "tax_total": {
- "currency_code": "str",
- "value": "string"
}, - "shipping": {
- "amount": {
- "currency_code": "str",
- "value": "string"
}, - "tax": {
- "name": "string",
- "tax_note": "string",
- "percent": "string",
- "amount": {
- "currency_code": "str",
- "value": "string"
}
}
}, - "custom": {
- "label": "string",
- "amount": {
- "currency_code": "str",
- "value": "string"
}
}
}An object representing a specific subscription plan info.
| id | string = 39 characters ^PI-[0-9A-F]{4}-[0-9A-F]{4}-[0-9A-F]{8}-[0-9A... Subscription plan Id. This is a unique Id identifying all the versions in a given set of plans. |
| name | string [ 1 .. 125 ] characters ^[A-Za-z0-9_ ]+$ The plan name. |
{- "id": "stringstringstringstringstringstringstr",
- "name": "string"
}It is either a template ID or an invoice ID based on the type provided in the request.
It is either a template ID or an invoice ID based on the type provided in the request.
"string"It is an association type, used to fetch theme details.
It is an association type, used to fetch theme details.
| Enum Value | Description |
|---|---|
| TEMPLATE | Fetch theme details for a given template. |
| INVOICE | Fetch theme details for a given invoice. |
"TEMPLATE"Filters between the start and end dates inclusive.
| start_date required | string <ppaas_date_notime_v2> (date_no_time) = 10 characters ^[0-9]{4}-(0[1-9]|1[0-2])-(0[1-9]|[1-2][0-9]|... The start date of the range. Cannot be more than 1 month the past. Cannot be more than 3 months in the future. Cannot be after the end date. |
| end_date required | string <ppaas_date_notime_v2> (date_no_time) = 10 characters ^[0-9]{4}-(0[1-9]|1[0-2])-(0[1-9]|[1-2][0-9]|... The end date of the range. Cannot be more than 1 month the past. Cannot be more than 3 months in the future. Cannot be before the start date. |
{- "start_date": "stringstri",
- "end_date": "stringstri"
}The details about the batch task.
| id | string (id) = 40 characters ^(BAT-)1[0-9A-Z]{3}-[0-9A-Z]{4}-[0-9A-Z]{8}-[... A unique id used to reference the batch task. | ||||||
| task_type | string (task_type) [ 1 .. 50 ] characters ^[A-Z0-9_]*$ Task type of the batch task. Used to determine the batch operation/logic to be performed.
| ||||||
| task_date | string <ppaas_date_notime_v2> (date_no_time) = 10 characters ^[0-9]{4}-(0[1-9]|1[0-2])-(0[1-9]|[1-2][0-9]|... The task date as specified by the sender, in Internet date and time format. Date cannot be in the past. |
{- "id": "stringstringstringstringstringstringstri",
- "task_type": "RISK_LIMIT_RECENT",
- "task_date": "stringstri"
}The billing information of the invoice recipient. Includes name, address, email, phone, and language.
| business_name | string <= 300 characters Required. The business name of the party. |
object (Name) The name of the party. | |
object (Portable Postal Address (Medium-Grained)) The portable international postal address. Maps to AddressValidationMetadata and HTML 5.1 Autofilling form controls: the autocomplete attribute. | |
Array of objects (phone_detail) The invoice recipient's phone numbers. Extension number is not supported. | |
| additional_info | string <= 40 characters Any additional information about the recipient. |
| email_address | string (restrictive_email_address) [ 3 .. 254 ] characters ^(?!\.)(?:[A-Za-z0-9!#$&'*\/=?^`{|}~_%+-]|\.(... The internationalized email address with more restrictive rules. This version restricts the local-part to a dot-atom as defined in https://www.ietf.org/rfc/rfc5322.txt. It does not allow for a quoted-string or an obs-local-part.
Note: Up to 64 characters are allowed before and 255 characters are allowed after the |
| language | string <ppaas_common_language_v3> (language) [ 2 .. 10 ] characters ^[a-z]{2}(?:-[A-Z][a-z]{3})?(?:-(?:[A-Z]{2}|[... The language tag for the language in which to localize the error-related strings, such as messages, issues, and suggested actions. The tag is made up of the ISO 639-2 language code, the optional ISO-15924 script tag, and the ISO-3166 alpha-2 country code or M49 region code. |
{- "business_name": "string",
- "name": {
- "prefix": "string",
- "given_name": "string",
- "surname": "string",
- "middle_name": "string",
- "suffix": "string",
- "alternate_full_name": "string",
- "full_name": "string"
}, - "address": {
- "address_line_1": "string",
- "address_line_2": "string",
- "address_line_3": "string",
- "admin_area_4": "string",
- "admin_area_3": "string",
- "admin_area_2": "string",
- "admin_area_1": "string",
- "postal_code": "string",
- "country_code": "st",
- "address_details": {
- "street_number": "string",
- "street_name": "string",
- "street_type": "string",
- "delivery_service": "string",
- "building_name": "string",
- "sub_building": "string"
}
}, - "phones": [
- {
- "country_code": "str",
- "national_number": "string",
- "extension_number": "string",
- "phone_type": "FAX"
}
], - "additional_info": "string",
- "email_address": "string",
- "language": "string"
}The business name of the party.
| business_name | string <= 300 characters Required. The business name of the party. |
{- "business_name": "string"
}This object defines the color hex code.
This object defines the color hex code.
"string"Defines the time-based condition that triggers the application of this conditional rule. This is expressed as a period relative to either the invoice issue date (for early payment discounts) or the invoice due date (for late payment surcharges and auto-cancellation). If the value is 'SPECIFIC_DATE', the 'effective_date' field must be provided to specify the exact date.
Defines the time-based condition that triggers the application of this conditional rule. This is expressed as a period relative to either the invoice issue date (for early payment discounts) or the invoice due date (for late payment surcharges and auto-cancellation). If the value is 'SPECIFIC_DATE', the 'effective_date' field must be provided to specify the exact date.
| Enum Value | Description |
|---|---|
| THREE_DAYS_AFTER_ISSUE_DATE | 3 days after the invoice issue date. |
| SEVEN_DAYS_AFTER_ISSUE_DATE | 7 days after the invoice issue date. |
| FIFTEEN_DAYS_AFTER_ISSUE_DATE | 15 days after the invoice issue date. |
| THIRTY_DAYS_AFTER_ISSUE_DATE | 30 days after the invoice issue date. |
| ONE_DAY_AFTER_DUE_DATE | 1 day after the invoice due date. |
| SEVEN_DAYS_AFTER_DUE_DATE | 7 days after the invoice due date. |
| FIFTEEN_DAYS_AFTER_DUE_DATE | 15 days after the invoice due date. |
| THIRTY_DAYS_AFTER_DUE_DATE | 30 days after the invoice due date. |
| SPECIFIC_DATE | A specific date. The 'effective_date' field must be used to specify the date. |
"THREE_DAYS_AFTER_ISSUE_DATE"This enum defines what type of rule is applying for the particular invoice.
This enum defines what type of rule is applying for the particular invoice.
| Enum Value | Description |
|---|---|
| EARLY_PAYMENT_DISCOUNT | A discount applied if the invoice is paid before a specified date or within a certain period after the issue date. |
| LATE_PAYMENT_SURCHARGE | A surcharge applied if the invoice is paid after the due date or a specified period after the due date. |
| AUTO_CANCEL | A rule to automatically cancel the invoice if it is not paid by a specified date or a certain period after the due date. |
"EARLY_PAYMENT_DISCOUNT"Type of the stored discount. Used to determine whether its percentage or absolute currency value.
Type of the stored discount. Used to determine whether its percentage or absolute currency value.
| Enum Value | Description |
|---|---|
| PERCENT | Percentage of discount used in invoice item or in an invoice. |
| AMOUNT | An absolute value of discount used in invoice item or in an invoice based on the currency in invoice. |
"PERCENT"The invoice configuration details. Includes partial payment, tip, and tax calculated after discount.
| tax_calculated_after_discount | boolean Default: true Indicates whether the tax is calculated before or after a discount. If | ||||||
| tax_inclusive | boolean Default: false Indicates whether the unit price includes tax. | ||||||
| allow_tip | boolean Default: false Indicates whether the invoice enables the customer to enter a tip amount during payment. If Note: This feature is not available for users in | ||||||
| has_conditional_rule | boolean Default: false Indicates whether conditional pricing rules are applied to the invoice. If | ||||||
| save_item_for_future | boolean Default: true Indicates whether the item should be saved for future invoices. | ||||||
| discount_mode_preference | string (discount_mode_preference) [ 1 .. 255 ] characters ^[A-Z0-9_]+$ Represents the user's preferred mode for creating discounts. Determines whether "One-time discount" or "Save for future invoices" is preselected when creating a new discount.
| ||||||
object (partial_payment) The partial payment details. Includes the minimum amount that the invoicer expects from the payer. | |||||||
| template_id | string <= 30 characters Default: "PayPal system template" The template ID. The template determines the layout of the invoice. Includes which fields to show and hide. Note: This is an optional field. If you wish to customize the invoice layout using a specific template, provide a valid template ID here. You can either use an existing template ID or create a new template via the create template API and then use the newly created template's ID. |
{- "tax_calculated_after_discount": true,
- "tax_inclusive": false,
- "allow_tip": false,
- "has_conditional_rule": false,
- "save_item_for_future": true,
- "discount_mode_preference": "ONE_TIME",
- "partial_payment": {
- "allow_partial_payment": false,
- "minimum_amount_due": {
- "currency_code": "str",
- "value": "string"
}
}, - "template_id": "PayPal system template"
}This object contains an array of connection details. It is used to load sync status for a user.
Array of objects (Connections) [ 1 .. 1000 ] items An array of connection-level details. |
{- "connections": [
- {
- "platform_name": "string",
- "last_sync_status": "IN_PROGRESS",
- "last_sync_time": "string"
}
]
}This lists last sync status and connection platform name.
| platform_name | string [ 1 .. 64 ] characters ^.*$ The name of the platform. This property supports Unicode. The pattern is not provided because the value is defined by an external party. | ||||||||
| last_sync_status | string [ 1 .. 255 ] characters ^[A-Z0-9_]+$ The status of the last sync. This property supports Unicode.
| ||||||||
| last_sync_time | string <ppaas_date_time_v3> (date_time) [ 20 .. 64 ] characters ^[0-9]{4}-(0[1-9]|1[0-2])-(0[1-9]|[1-2][0-9]|... The date and time, in Internet date and time format. Seconds are required while fractional seconds are optional. Note: The regular expression provides guidance but does not reject all invalid dates. |
{- "platform_name": "string",
- "last_sync_status": "IN_PROGRESS",
- "last_sync_time": "string"
}The contact information of the user. Includes name and address.
| business_name | string <= 300 characters Required. The business name of the party. |
object (Name) The name of the party. | |
object (Portable Postal Address (Medium-Grained)) The portable international postal address. Maps to AddressValidationMetadata and HTML 5.1 Autofilling form controls: the autocomplete attribute. |
{- "business_name": "string",
- "name": {
- "prefix": "string",
- "given_name": "string",
- "surname": "string",
- "middle_name": "string",
- "suffix": "string",
- "alternate_full_name": "string",
- "full_name": "string"
}, - "address": {
- "address_line_1": "string",
- "address_line_2": "string",
- "address_line_3": "string",
- "admin_area_4": "string",
- "admin_area_3": "string",
- "admin_area_2": "string",
- "admin_area_1": "string",
- "postal_code": "string",
- "country_code": "st",
- "address_details": {
- "street_number": "string",
- "street_name": "string",
- "street_type": "string",
- "delivery_service": "string",
- "building_name": "string",
- "sub_building": "string"
}
}
}The two-character ISO 3166-1 code that identifies the country or region.
Note: The country code for Great Britain isGBand notUKas used in the top-level domain names for that country. Use theC2country code for China worldwide for comparable uncontrolled price (CUP) method, bank card, and cross-border transactions.
The two-character ISO 3166-1 code that identifies the country or region.
Note: The country code for Great Britain isGBand notUKas used in the top-level domain names for that country. Use theC2country code for China worldwide for comparable uncontrolled price (CUP) method, bank card, and cross-border transactions.
"st"The 2-character ISO 3166-1 code that identifies the country or region.
Note: The country code for Great Britain isGBand notUKas used in the top-level domain names for that country. Use theC2country code for China worldwide for comparable uncontrolled price (CUP) method, bank card, and cross-border transactions.
The 2-character ISO 3166-1 code that identifies the country or region.
Note: The country code for Great Britain isGBand notUKas used in the top-level domain names for that country. Use theC2country code for China worldwide for comparable uncontrolled price (CUP) method, bank card, and cross-border transactions.
"st"The three-character ISO-4217 currency code that identifies the currency.
The three-character ISO-4217 currency code that identifies the currency.
"str"The custom amount to apply to an invoice. If you include a label, you must include a custom amount.
| label required | string [ 0 .. 50 ] characters ^[\S\s]*$ The label to the custom amount of the invoice. |
object (Money) The currency and amount for a financial transaction, such as a balance or payment due. |
{- "label": "string",
- "amount": {
- "currency_code": "str",
- "value": "string"
}
}The date and time range. Filters invoices by creation date, invoice date, due date, and payment date.
| start required | string <ppaas_date_time_v3> (date_time) [ 20 .. 64 ] characters ^[0-9]{4}-(0[1-9]|1[0-2])-(0[1-9]|[1-2][0-9]|... The date and time, in Internet date and time format. Seconds are required while fractional seconds are optional. Note: The regular expression provides guidance but does not reject all invalid dates. |
| end required | string <ppaas_date_time_v3> (date_time) [ 20 .. 64 ] characters ^[0-9]{4}-(0[1-9]|1[0-2])-(0[1-9]|[1-2][0-9]|... The date and time, in Internet date and time format. Seconds are required while fractional seconds are optional. Note: The regular expression provides guidance but does not reject all invalid dates. |
{- "start": "string",
- "end": "string"
}The stand-alone date, in Internet date and time format. To represent special legal values, such as a date of birth, you should use dates with no associated time or time-zone data. Whenever possible, use the standard date_time type. This regular expression does not validate all dates. For example, February 31 is valid and nothing is known about leap years.
The stand-alone date, in Internet date and time format. To represent special legal values, such as a date of birth, you should use dates with no associated time or time-zone data. Whenever possible, use the standard date_time type. This regular expression does not validate all dates. For example, February 31 is valid and nothing is known about leap years.
"stringstri"The date range. Filters invoices by creation date, invoice date, due date, and payment date.
| start required | string <ppaas_date_notime_v2> (date_no_time) = 10 characters ^[0-9]{4}-(0[1-9]|1[0-2])-(0[1-9]|[1-2][0-9]|... The stand-alone date, in Internet date and time format. To represent special legal values, such as a date of birth, you should use dates with no associated time or time-zone data. Whenever possible, use the standard |
| end required | string <ppaas_date_notime_v2> (date_no_time) = 10 characters ^[0-9]{4}-(0[1-9]|1[0-2])-(0[1-9]|[1-2][0-9]|... The stand-alone date, in Internet date and time format. To represent special legal values, such as a date of birth, you should use dates with no associated time or time-zone data. Whenever possible, use the standard |
{- "start": "string",
- "end": "string"
}The date and time, in Internet date and time format. Seconds are required while fractional seconds are optional.
Note: The regular expression provides guidance but does not reject all invalid dates.
The date and time, in Internet date and time format. Seconds are required while fractional seconds are optional.
Note: The regular expression provides guidance but does not reject all invalid dates.
"stringstringstringst"The date and time, in Internet date and time format. Seconds are required while fractional seconds are optional.
Note: The regular expression provides guidance but does not reject all invalid dates.
The date and time, in Internet date and time format. Seconds are required while fractional seconds are optional.
Note: The regular expression provides guidance but does not reject all invalid dates.
"stringstringstringst"The date and time, in Internet date and time format. Seconds are required while fractional seconds are optional.
Note: The regular expression provides guidance but does not reject all invalid dates.
The date and time, in Internet date and time format. Seconds are required while fractional seconds are optional.
Note: The regular expression provides guidance but does not reject all invalid dates.
"stringstringstringst"The details of the invoice like notes, terms and conditions, memo, attachments.
| reference | string [ 1 .. 120 ] characters ^[\S\s]*$ The reference data. Includes a Purchase Order (PO) number. |
| note | string [ 1 .. 4000 ] characters ^[\S\s]*$ A note to the invoice recipient. Also appears on the invoice notification email. |
| terms_and_conditions | string [ 1 .. 4000 ] characters ^[\S\s]*$ The general terms of the invoice. Can include return or cancellation policy and other terms and conditions. |
| memo | string [ 1 .. 500 ] characters ^[\S\s]*$ A private bookkeeping memo for the user. |
Array of objects (File Reference) [ 0 .. 2147483647 ] items An array of PayPal IDs for the files that are attached to an invoice. | |
Array of objects (tip_preset) [ 1 .. 3 ] items Specifies the predefined tip options configured by the invoicer. These preset values are shown to customers at checkout as suggested tipping amounts, in addition to the option to enter a custom tip. | |
| order_details | string [ 1 .. 2500 ] characters ^[\S\s]*$ Order details information in the invoice. |
| project_details | string [ 1 .. 2500 ] characters ^[\S\s]*$ Project details information in the invoice. |
| service_details | string [ 1 .. 2500 ] characters ^[\S\s]*$ Service details information in the invoice. |
| cancellation_policy | string [ 1 .. 2500 ] characters ^[\S\s]*$ Cancellation policy information in the invoice. |
| payment_terms | string [ 1 .. 2500 ] characters ^[\S\s]*$ Payment terms information in the invoice. |
| return_policy | string [ 1 .. 2500 ] characters ^[\S\s]*$ Return policy information in the invoice. |
[...]
